profile
viewpoint
Austin Zhu AustinZhu DeNA Co., Ltd., Tokyo https://austinzhu.dev Student at Waseda University | Novice in PLT | Maintainer and main contributor of @wasedatime.

aya-prover/aya-prover-proto 11

┗:smiley:┛ ┏:smiley:┓ ┗:smiley:┛

wasedatime/syllabus-scraper 4

A high-performance web scraper for obtaining the syllabus of Waseda University.

AustinZhu/IMP-lang 3

An implementation of the IMP toy programming language in Haskell

MonoidDev/cdktf-k8s-plus 2

A CDK construct library implementing CDK8s+ bindings using CDKtf.

AustinZhu/osm_china 1

slippy maps for China

AustinZhu/AlgoDS 0

An interactive CLI program for demonstrating various algorithms and data structures

AustinZhu/cscelab-chatroom 0

A programmable chatroom application

AustinZhu/foundation 0

Empire strikes back

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency ts-jest to v27.1.3

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
f4222fa12a28: Pulling fs layer
ec1a8451d297: Pulling fs layer
e6574f313133: Pulling fs layer
04953c722c8b: Pulling fs layer
8e410e941e98: Pulling fs layer
11d61a0ecb59: Pulling fs layer
46e549523509: Pulling fs layer
f2c9996e16c5: Pulling fs layer
866e7f50ff17: Pulling fs layer
e6574f313133: Waiting
04953c722c8b: Waiting
8e410e941e98: Waiting
11d61a0ecb59: Waiting
46e549523509: Waiting
f2c9996e16c5: Waiting
866e7f50ff17: Waiting
f4222fa12a28: Verifying Checksum
f4222fa12a28: Download complete
e6574f313133: Verifying Checksum
e6574f313133: Download complete
ec1a8451d297: Verifying Checksum
ec1a8451d297: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
8e410e941e98: Verifying Checksum
8e410e941e98: Download complete
46e549523509: Verifying Checksum
46e549523509: Download complete
f2c9996e16c5: Verifying Checksum
f2c9996e16c5: Download complete
11d61a0ecb59: Verifying Checksum
11d61a0ecb59: Download complete
866e7f50ff17: Verifying Checksum
866e7f50ff17: Download complete
1533ccbbac79: Pull complete
f4222fa12a28: Pull complete
04953c722c8b: Verifying Checksum
04953c722c8b: Download complete
ec1a8451d297: Pull complete
e6574f313133: Pull complete
04953c722c8b: Pull complete
8e410e941e98: Pull complete
11d61a0ecb59: Pull complete
46e549523509: Pull complete
f2c9996e16c5: Pull complete
866e7f50ff17: Pull complete
Digest: sha256:31621deaf6d0e4097f718f8cdbdb53a9a9e3422b1c32bce811f38d2703c47922
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in 0bc504aecf25
Removing intermediate container 0bc504aecf25
 ---> 639609bc2382
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 31f4d0e63489
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 31f4d0e63489
 ---> 2354dfb445cc
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 5fa75d8ebdae
Collecting pipenv
  Downloading pipenv-2022.1.8-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2022.1.8 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.1 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.8 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
Removing intermediate container 5fa75d8ebdae
 ---> 064257a0a55b
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in b00f0fcc816c
Removing intermediate container b00f0fcc816c
 ---> 00e5644c8a16
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> ad01befdf17e
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 84d3471ca700
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 84d3471ca700
 ---> f88c9417d7dd
Step 9/9 : CMD [ "python" ]
 ---> Running in 57fbd36ffc74
Removing intermediate container 57fbd36ffc74
 ---> 65aa4f02b3b7
Successfully built 65aa4f02b3b7
Successfully tagged cdk-5bcfbf29f0c090e0c9f8b4de47e580cbc64fbbe265131f6add01b4d93643eb96:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/4 : CMD [ "python" ]
 ---> Running in 5d6cb267dcfd
Removing intermediate container 5d6cb267dcfd
 ---> 51216b5a0b18
Successfully built 51216b5a0b18
Successfully tagged cdk-42466b008dc79692397a096a0baaf64eb25b5e2c08899eb7c9f709bd186922ad:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 51216b5a0b18
Successfully built 51216b5a0b18
Successfully tagged cdk-c1d7c8e84196bf58c5c68404ba7f2af806d474ca693e10b478fead9d362ceafd:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 2354dfb445cc
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 064257a0a55b
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 00e5644c8a16
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> ad01befdf17e
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> f88c9417d7dd
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 65aa4f02b3b7
Successfully built 65aa4f02b3b7
Successfully tagged cdk-c841bd13708c6e9e62b819b380b2dc8c8774f18ba678f8ff99b9f85fc275d5f0:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 2354dfb445cc
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 064257a0a55b
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 00e5644c8a16
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 05e276e12022
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in ee7bd17ceff0
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container ee7bd17ceff0
 ---> 5cc7cbd13e0a
Step 9/9 : CMD [ "python" ]
 ---> Running in 8c7855c49f12
Removing intermediate container 8c7855c49f12
 ---> bcff4e0b9842
Successfully built bcff4e0b9842
Successfully tagged cdk-45e14cf2e52372d4b23bfcd8868170b4774f4e23cad1aacbc24c4481f17ebf01:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 51216b5a0b18
Successfully built 51216b5a0b18
Successfully tagged cdk-265aec218a22e5584b90eb0f94c250268dbb37afc8ee1857459ab92ce98d109a:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 2354dfb445cc
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 064257a0a55b
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 00e5644c8a16
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 96e22f091518
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 9ca288d25f57
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.4.0-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.5.0-py3-none-any.whl (958 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.4.0 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.3 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.1 rsa-4.8 setuptools-60.5.0 six-1.16.0 urllib3-1.26.8
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 9ca288d25f57
 ---> e8517178e30a
Step 9/9 : CMD [ "python" ]
 ---> Running in 34ec505c2230
Removing intermediate container 34ec505c2230
 ---> c8ac8e459ca0
Successfully built c8ac8e459ca0
Successfully tagged cdk-cc2b7797a3135f5a1daf40ea1d2f514a3df728bdef5bdc4698e856cfa0fa753b:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 2354dfb445cc
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 064257a0a55b
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 00e5644c8a16
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 96e22f091518
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> e8517178e30a
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> c8ac8e459ca0
Successfully built c8ac8e459ca0
Successfully tagged cdk-7aedc760df5e00f7ccad5b7c7913eda09ba851aa35eac1e4223f495a9c8e07f0:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 51216b5a0b18
Successfully built 51216b5a0b18
Successfully tagged cdk-b0fc5a3c43fd9513dc603240cfb71f73c07f7001803c05fffe24abc0e8d0dd0e:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 51216b5a0b18
Successfully built 51216b5a0b18
Successfully tagged cdk-900ef843ab26355c873398642581ec5bdb16c5742154b9c72add989607c30647:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 51216b5a0b18
Successfully built 51216b5a0b18
Successfully tagged cdk-dc9df81938380dff9d9476df4a0f28ce15c506244a3d33c3f498c2f544652806:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 639609bc2382
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 51216b5a0b18
Successfully built 51216b5a0b18
Successfully tagged cdk-267e22e4a02f9d2542830894815a984b1a18b1bc15245f636b4e40a1abe6cb00:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
449ab693a06e: Pulling fs layer
5707912faff9: Pulling fs layer
43360fb69a6e: Pulling fs layer
7222bf10de3c: Pulling fs layer
7e9f7a10f66d: Pulling fs layer
d0374ab3e8b4: Pulling fs layer
48a7e4b1f570: Pulling fs layer
4f7546189d0c: Pulling fs layer
7a9777a2df7c: Pulling fs layer
7222bf10de3c: Waiting
7e9f7a10f66d: Waiting
d0374ab3e8b4: Waiting
48a7e4b1f570: Waiting
4f7546189d0c: Waiting
7a9777a2df7c: Waiting
449ab693a06e: Verifying Checksum
449ab693a06e: Pull complete
43360fb69a6e: Verifying Checksum
43360fb69a6e: Download complete
7e9f7a10f66d: Verifying Checksum
7e9f7a10f66d: Download complete
5707912faff9: Verifying Checksum
5707912faff9: Download complete
d0374ab3e8b4: Verifying Checksum
d0374ab3e8b4: Download complete
4f7546189d0c: Verifying Checksum
4f7546189d0c: Download complete
7a9777a2df7c: Verifying Checksum
7a9777a2df7c: Download complete
48a7e4b1f570: Verifying Checksum
48a7e4b1f570: Download complete
5707912faff9: Pull complete
43360fb69a6e: Pull complete
7222bf10de3c: Verifying Checksum
7222bf10de3c: Download complete
7222bf10de3c: Pull complete
7e9f7a10f66d: Pull complete
d0374ab3e8b4: Pull complete
48a7e4b1f570: Pull complete
4f7546189d0c: Pull complete
7a9777a2df7c: Pull complete
Digest: sha256:551abb8ac6437ea6eb92ce72ea85186c0ca85d4ff5adbd92b4d90b0e5e1ac341
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in cc67801f073a
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.269s
Removing intermediate container cc67801f073a
 ---> af0ce4119d54
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 10ee00fe98cc
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
+ pnpm@6.26.1
added 1 package in 0.807s
Removing intermediate container 10ee00fe98cc
 ---> 80ceddaf6938
Step 5/12 : RUN npm install --global typescript
 ---> Running in b92dde8b3008
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.297s
Removing intermediate container b92dde8b3008
 ---> 8b28c393aef3
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 0c4f2261e175
Removing intermediate container 0c4f2261e175
 ---> 08c7fc3fc0fa
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in a85d2a599d06
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.11 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.11: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.11: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.11: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.11: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.11: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.11: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.11: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.11: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.11: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.11: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.11: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.11: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.11: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.11: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.11: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.11: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.11: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.11
added 2 packages in 1.961s
Removing intermediate container a85d2a599d06
 ---> a1e04373f651
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in e0f9982a9caa
Removing intermediate container e0f9982a9caa
 ---> da70044f4622
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in b3143fc3be0d
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.02s.
Removing intermediate container b3143fc3be0d
 ---> 8f1496ceb3a2
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 4784965b7ccd
Removing intermediate container 4784965b7ccd
 ---> ae53ff923281
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in af7a53f0e8cc
Removing intermediate container af7a53f0e8cc
 ---> 6180296e5a3a
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in bfa2ad25e1c5
Removing intermediate container bfa2ad25e1c5
 ---> 31c9c605d8f8
Successfully built 31c9c605d8f8
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> af0ce4119d54
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 80ceddaf6938
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 8b28c393aef3
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 08c7fc3fc0fa
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> a1e04373f651
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> da70044f4622
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> 8f1496ceb3a2
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> ae53ff923281
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 6180296e5a3a
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 31c9c605d8f8
Successfully built 31c9c605d8f8
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack wt-hosted-zone
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack business
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8Ac64ef3aef2c9346c2593dbd246445d41 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8Ac64ef3aef2c9346c2593dbd246445d41

Stack presentation
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack admin
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
renovate[bot]

comment created time in 2 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo to v2 (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
f4222fa12a28: Pulling fs layer
ec1a8451d297: Pulling fs layer
e6574f313133: Pulling fs layer
04953c722c8b: Pulling fs layer
8e410e941e98: Pulling fs layer
11d61a0ecb59: Pulling fs layer
46e549523509: Pulling fs layer
f2c9996e16c5: Pulling fs layer
866e7f50ff17: Pulling fs layer
8e410e941e98: Waiting
11d61a0ecb59: Waiting
46e549523509: Waiting
f2c9996e16c5: Waiting
866e7f50ff17: Waiting
e6574f313133: Waiting
04953c722c8b: Waiting
f4222fa12a28: Verifying Checksum
f4222fa12a28: Download complete
e6574f313133: Verifying Checksum
e6574f313133: Download complete
ec1a8451d297: Verifying Checksum
ec1a8451d297: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
8e410e941e98: Verifying Checksum
8e410e941e98: Download complete
11d61a0ecb59: Verifying Checksum
11d61a0ecb59: Download complete
46e549523509: Verifying Checksum
46e549523509: Download complete
f2c9996e16c5: Verifying Checksum
f2c9996e16c5: Download complete
866e7f50ff17: Verifying Checksum
866e7f50ff17: Download complete
1533ccbbac79: Pull complete
04953c722c8b: Verifying Checksum
04953c722c8b: Download complete
f4222fa12a28: Pull complete
ec1a8451d297: Pull complete
e6574f313133: Pull complete
04953c722c8b: Pull complete
8e410e941e98: Pull complete
11d61a0ecb59: Pull complete
46e549523509: Pull complete
f2c9996e16c5: Pull complete
866e7f50ff17: Pull complete
Digest: sha256:31621deaf6d0e4097f718f8cdbdb53a9a9e3422b1c32bce811f38d2703c47922
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in e454253b44da
Removing intermediate container e454253b44da
 ---> 95ab53d7e4c9
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 725cec6847b7
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 725cec6847b7
 ---> 40bd1392a07a
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 1b9a157d00bd
Collecting pipenv
  Downloading pipenv-2022.1.8-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2022.1.8 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.1 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.8 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
Removing intermediate container 1b9a157d00bd
 ---> a8dcdf65ad10
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 6343ec184904
Removing intermediate container 6343ec184904
 ---> 3e71a7079796
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> b2cc8fd1927f
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 24902ff70057
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 24902ff70057
 ---> e7bb57787f18
Step 9/9 : CMD [ "python" ]
 ---> Running in a7f8dbea8f96
Removing intermediate container a7f8dbea8f96
 ---> e70bb13f6c28
Successfully built e70bb13f6c28
Successfully tagged cdk-6e4ec38bdeeeb4e018b82c0c9b442f2988a4ee3d6e10833f2d17354f7f8903de:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/4 : CMD [ "python" ]
 ---> Running in cb062286d066
Removing intermediate container cb062286d066
 ---> daa9e2979d79
Successfully built daa9e2979d79
Successfully tagged cdk-5fba18080b6006bc7917946066a4991a26640f2576d024ef690b98254fa002a0:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> daa9e2979d79
Successfully built daa9e2979d79
Successfully tagged cdk-e9b10e38343288b997c68cff8cdd5e03845ef69eac4470b293bcbfc9057d5b6b:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 40bd1392a07a
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> a8dcdf65ad10
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 3e71a7079796
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> b2cc8fd1927f
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> e7bb57787f18
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> e70bb13f6c28
Successfully built e70bb13f6c28
Successfully tagged cdk-2c0efa88ffc942da8ddf64b4bc45966b90f91d3118f2d3a7850a554f411cca30:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 40bd1392a07a
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> a8dcdf65ad10
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 3e71a7079796
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 768c1c464f0c
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in f9e6351e13a7
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container f9e6351e13a7
 ---> 65333bac3427
Step 9/9 : CMD [ "python" ]
 ---> Running in a3de4ab77725
Removing intermediate container a3de4ab77725
 ---> ef27708e092b
Successfully built ef27708e092b
Successfully tagged cdk-c2f72cb42180e7037df9a807e134d1d1dbc881371b3ca71a0383a56ada9cdc8a:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> daa9e2979d79
Successfully built daa9e2979d79
Successfully tagged cdk-30b742d954bd771758084705967f373e65e5f1c50ce8e37338554c405bc53549:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 40bd1392a07a
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> a8dcdf65ad10
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 3e71a7079796
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 4fdeb2c56a50
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in a937775ba077
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.4.0-py2.py3-none-any.whl (111 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.5.0-py3-none-any.whl (958 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.4.0 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.3 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.1 rsa-4.8 setuptools-60.5.0 six-1.16.0 urllib3-1.26.8
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container a937775ba077
 ---> bf34f5dcafd1
Step 9/9 : CMD [ "python" ]
 ---> Running in 0a13e349b02c
Removing intermediate container 0a13e349b02c
 ---> 830260c0a8fa
Successfully built 830260c0a8fa
Successfully tagged cdk-a57e5138584c555a960e65d5f380a18e12e3d44cec01b2488aac5dc4af03714b:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 40bd1392a07a
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> a8dcdf65ad10
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 3e71a7079796
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 4fdeb2c56a50
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> bf34f5dcafd1
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 830260c0a8fa
Successfully built 830260c0a8fa
Successfully tagged cdk-1222aa86649d129e4a02868c6aa1e77ecd37173e75df5e0afb5e100993dc4c37:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> daa9e2979d79
Successfully built daa9e2979d79
Successfully tagged cdk-97ac69284172b532ebe0f4e173858fd941770d86bec381ea946df3828b32e0e0:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> daa9e2979d79
Successfully built daa9e2979d79
Successfully tagged cdk-50b543460f0f79ba574e760a5e030d74aeaccc2478007d3a1e3104ce5c291dcd:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> daa9e2979d79
Successfully built daa9e2979d79
Successfully tagged cdk-8678bbf2cb3abcfc7aebb5fe83e1a83d2e092a4b4a31df3b0738a25a38e00077:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 95ab53d7e4c9
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> daa9e2979d79
Successfully built daa9e2979d79
Successfully tagged cdk-860e9d4c25a1df6c4d838361544de50fe0767b7f06ce050d2a62c194f6dd95bb:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
449ab693a06e: Pulling fs layer
5707912faff9: Pulling fs layer
43360fb69a6e: Pulling fs layer
7222bf10de3c: Pulling fs layer
7e9f7a10f66d: Pulling fs layer
d0374ab3e8b4: Pulling fs layer
48a7e4b1f570: Pulling fs layer
4f7546189d0c: Pulling fs layer
7a9777a2df7c: Pulling fs layer
7e9f7a10f66d: Waiting
d0374ab3e8b4: Waiting
48a7e4b1f570: Waiting
4f7546189d0c: Waiting
7a9777a2df7c: Waiting
7222bf10de3c: Waiting
449ab693a06e: Download complete
43360fb69a6e: Verifying Checksum
43360fb69a6e: Download complete
449ab693a06e: Pull complete
7e9f7a10f66d: Verifying Checksum
7e9f7a10f66d: Download complete
5707912faff9: Verifying Checksum
5707912faff9: Download complete
48a7e4b1f570: Verifying Checksum
48a7e4b1f570: Download complete
d0374ab3e8b4: Verifying Checksum
d0374ab3e8b4: Download complete
4f7546189d0c: Verifying Checksum
4f7546189d0c: Download complete
7a9777a2df7c: Verifying Checksum
7a9777a2df7c: Download complete
5707912faff9: Pull complete
7222bf10de3c: Verifying Checksum
7222bf10de3c: Download complete
43360fb69a6e: Pull complete
7222bf10de3c: Pull complete
7e9f7a10f66d: Pull complete
d0374ab3e8b4: Pull complete
48a7e4b1f570: Pull complete
4f7546189d0c: Pull complete
7a9777a2df7c: Pull complete
Digest: sha256:551abb8ac6437ea6eb92ce72ea85186c0ca85d4ff5adbd92b4d90b0e5e1ac341
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in c46ff943934a
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.385s
Removing intermediate container c46ff943934a
 ---> b6c0ec9393c2
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 6864bb192188
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.26.1
added 1 package in 1.151s
Removing intermediate container 6864bb192188
 ---> 4aaccad4a086
Step 5/12 : RUN npm install --global typescript
 ---> Running in 2385de211028
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.747s
Removing intermediate container 2385de211028
 ---> f540b901d1d0
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 7ac95a2ee86b
Removing intermediate container 7ac95a2ee86b
 ---> 8ec1d582d57c
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in ff7eab0a6965
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.11 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.11: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.11: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.11: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.11: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.11: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.11: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.11: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.11: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.11: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.11: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.11: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.11: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.11: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.11: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.11: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.11: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.11: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.11
added 2 packages in 2.908s
Removing intermediate container ff7eab0a6965
 ---> 8a49c95d64b2
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in de97df2c2dbb
Removing intermediate container de97df2c2dbb
 ---> ad81483b1a22
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 189432fe1556
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container 189432fe1556
 ---> 04a5966ccb00
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in fec47e66321f
Removing intermediate container fec47e66321f
 ---> e0acad6eed3a
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 4a7b2074f506
Removing intermediate container 4a7b2074f506
 ---> 00b4587873d2
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 924cc610f026
Removing intermediate container 924cc610f026
 ---> 41e202c8f02b
Successfully built 41e202c8f02b
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 4ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> b6c0ec9393c2
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 4aaccad4a086
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> f540b901d1d0
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 8ec1d582d57c
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 8a49c95d64b2
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> ad81483b1a22
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> 04a5966ccb00
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> e0acad6eed3a
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 00b4587873d2
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 41e202c8f02b
Successfully built 41e202c8f02b
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 2ms
Stack persistence
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack wt-hosted-zone
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack business
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A995c3d134802b28761ff70c5234a4de1 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A995c3d134802b28761ff70c5234a4de1

Stack presentation
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack admin
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
renovate[bot]

comment created time in 3 days

startedBNFC/bnfc

started time in 3 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo to v2 (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
f4222fa12a28: Pulling fs layer
ec1a8451d297: Pulling fs layer
e6574f313133: Pulling fs layer
04953c722c8b: Pulling fs layer
8e410e941e98: Pulling fs layer
11d61a0ecb59: Pulling fs layer
46e549523509: Pulling fs layer
f2c9996e16c5: Pulling fs layer
866e7f50ff17: Pulling fs layer
11d61a0ecb59: Waiting
e6574f313133: Waiting
46e549523509: Waiting
f2c9996e16c5: Waiting
866e7f50ff17: Waiting
04953c722c8b: Waiting
8e410e941e98: Waiting
f4222fa12a28: Verifying Checksum
f4222fa12a28: Download complete
ec1a8451d297: Verifying Checksum
ec1a8451d297: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
e6574f313133: Verifying Checksum
e6574f313133: Download complete
8e410e941e98: Verifying Checksum
8e410e941e98: Download complete
11d61a0ecb59: Verifying Checksum
11d61a0ecb59: Download complete
46e549523509: Verifying Checksum
46e549523509: Download complete
f2c9996e16c5: Verifying Checksum
f2c9996e16c5: Download complete
866e7f50ff17: Verifying Checksum
866e7f50ff17: Download complete
04953c722c8b: Verifying Checksum
04953c722c8b: Download complete
1533ccbbac79: Pull complete
f4222fa12a28: Pull complete
ec1a8451d297: Pull complete
e6574f313133: Pull complete
04953c722c8b: Pull complete
8e410e941e98: Pull complete
11d61a0ecb59: Pull complete
46e549523509: Pull complete
f2c9996e16c5: Pull complete
866e7f50ff17: Pull complete
Digest: sha256:31621deaf6d0e4097f718f8cdbdb53a9a9e3422b1c32bce811f38d2703c47922
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in ba26c4364204
Removing intermediate container ba26c4364204
 ---> 62b14740d3ee
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in ecfc8eee5a01
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container ecfc8eee5a01
 ---> 0816fd1d497f
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 74f73ee24380
Collecting pipenv
  Downloading pipenv-2022.1.8-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2022.1.8 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.1 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.8 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 74f73ee24380
 ---> 255710a48496
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in a5c0a9a5db3d
Removing intermediate container a5c0a9a5db3d
 ---> d0c1b7224727
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 06ab7b39d79e
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in af5363036ec8
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container af5363036ec8
 ---> 799390925556
Step 9/9 : CMD [ "python" ]
 ---> Running in 3c7cbfcead4a
Removing intermediate container 3c7cbfcead4a
 ---> f165fc6c5fa0
Successfully built f165fc6c5fa0
Successfully tagged cdk-28d826fbe84ba89380d7aa86e95839c3323ead8d28f854597d1e35ecc5b65513:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/4 : CMD [ "python" ]
 ---> Running in 53e2b9476c1b
Removing intermediate container 53e2b9476c1b
 ---> 04fb3a4f89d2
Successfully built 04fb3a4f89d2
Successfully tagged cdk-5406b448a77977c11f545b7c7e1f0dd0b4449c5733aee4df006093ad6c4b5436:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 04fb3a4f89d2
Successfully built 04fb3a4f89d2
Successfully tagged cdk-1cd87d25ace9fc8e8421460fb78d30ba702981fb8f52b379ffe2d66d75c87986:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 0816fd1d497f
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 255710a48496
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d0c1b7224727
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 06ab7b39d79e
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 799390925556
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> f165fc6c5fa0
Successfully built f165fc6c5fa0
Successfully tagged cdk-272ce9418d4c9ea29c118c926780367c2f3166d8b1c95295fc6ef5eb1edeab8f:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 0816fd1d497f
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 255710a48496
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d0c1b7224727
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 15fc1015c205
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in ef9da0e912b9
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container ef9da0e912b9
 ---> 5b772ebee532
Step 9/9 : CMD [ "python" ]
 ---> Running in 118a8ed460ed
Removing intermediate container 118a8ed460ed
 ---> 12112bce0852
Successfully built 12112bce0852
Successfully tagged cdk-d78d40c52772f1f791f24ae0b87b01d7a150da5d5567d3e74205820dec5cc939:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 04fb3a4f89d2
Successfully built 04fb3a4f89d2
Successfully tagged cdk-2ca1e86ba068221ea067432ba57922e4af02fceea7153293cab7c2081ea15b1d:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 0816fd1d497f
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 255710a48496
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d0c1b7224727
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 77a877453290
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in b27986274158
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.4.0-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.5.0-py3-none-any.whl (958 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.4.0 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.3 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.1 rsa-4.8 setuptools-60.5.0 six-1.16.0 urllib3-1.26.8
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container b27986274158
 ---> 5012db44f9cf
Step 9/9 : CMD [ "python" ]
 ---> Running in 105c130259d8
Removing intermediate container 105c130259d8
 ---> 6c1550447979
Successfully built 6c1550447979
Successfully tagged cdk-1e4711a3acf6c6b2bb377b5705fd241014858eb0d49cc7889d4019ab41abb019:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 0816fd1d497f
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 255710a48496
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d0c1b7224727
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 77a877453290
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 5012db44f9cf
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 6c1550447979
Successfully built 6c1550447979
Successfully tagged cdk-e06ee45ddb80a4cd67943a3de9153dc513b89986361e609ebc0b123154ea33b0:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 04fb3a4f89d2
Successfully built 04fb3a4f89d2
Successfully tagged cdk-a59598b08aacf6fc30f6c3a2c84351bb799014081bf10e06f4a2630c98781659:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 04fb3a4f89d2
Successfully built 04fb3a4f89d2
Successfully tagged cdk-3a2d44fefc71d5133d585535c2872989b53a78b2a90c35041e2d8e16d0a80f11:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 04fb3a4f89d2
Successfully built 04fb3a4f89d2
Successfully tagged cdk-2f65726542f63a7127c6672f5f082b10638b787e7c3cd47f0a0fd7f5b75a3f9d:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 62b14740d3ee
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 04fb3a4f89d2
Successfully built 04fb3a4f89d2
Successfully tagged cdk-32ecde0b2733a5c68da26b282f08312a6bd9a73a88166f8a91c6326872bb7dc7:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
449ab693a06e: Pulling fs layer
5707912faff9: Pulling fs layer
43360fb69a6e: Pulling fs layer
7222bf10de3c: Pulling fs layer
7e9f7a10f66d: Pulling fs layer
d0374ab3e8b4: Pulling fs layer
48a7e4b1f570: Pulling fs layer
4f7546189d0c: Pulling fs layer
7a9777a2df7c: Pulling fs layer
7222bf10de3c: Waiting
7e9f7a10f66d: Waiting
d0374ab3e8b4: Waiting
48a7e4b1f570: Waiting
4f7546189d0c: Waiting
7a9777a2df7c: Waiting
449ab693a06e: Download complete
43360fb69a6e: Verifying Checksum
43360fb69a6e: Download complete
449ab693a06e: Pull complete
7e9f7a10f66d: Verifying Checksum
7e9f7a10f66d: Download complete
5707912faff9: Verifying Checksum
5707912faff9: Download complete
d0374ab3e8b4: Verifying Checksum
d0374ab3e8b4: Download complete
48a7e4b1f570: Verifying Checksum
48a7e4b1f570: Download complete
4f7546189d0c: Verifying Checksum
4f7546189d0c: Download complete
7a9777a2df7c: Verifying Checksum
7a9777a2df7c: Download complete
7222bf10de3c: Verifying Checksum
7222bf10de3c: Download complete
5707912faff9: Pull complete
43360fb69a6e: Pull complete
7222bf10de3c: Pull complete
7e9f7a10f66d: Pull complete
d0374ab3e8b4: Pull complete
48a7e4b1f570: Pull complete
4f7546189d0c: Pull complete
7a9777a2df7c: Pull complete
Digest: sha256:551abb8ac6437ea6eb92ce72ea85186c0ca85d4ff5adbd92b4d90b0e5e1ac341
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in f78d5a5be351
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.452s
Removing intermediate container f78d5a5be351
 ---> a008149ae1d3
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 9dea4b7e798f
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.26.0
added 1 package in 1.155s
Removing intermediate container 9dea4b7e798f
 ---> d78fe3dee21d
Step 5/12 : RUN npm install --global typescript
 ---> Running in ccd1a8003eb7
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.747s
Removing intermediate container ccd1a8003eb7
 ---> 20e4087e7610
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 5c6986b839de
Removing intermediate container 5c6986b839de
 ---> a7834aed45bc
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in f24fa8d79778
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.11 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.11: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.11: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.11: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.11: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.11: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.11: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.11: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.11: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.11: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.11: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.11: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.11: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.11: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.11: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.11: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.11: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.11: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.11
added 2 packages in 2.795s
Removing intermediate container f24fa8d79778
 ---> 41497a29b03f
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 4aceec770a7e
Removing intermediate container 4aceec770a7e
 ---> 4a0ca7334edf
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in c06db896e603
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.04s.
Removing intermediate container c06db896e603
 ---> ad4772f8df2d
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in e550ec191847
Removing intermediate container e550ec191847
 ---> c4860fbf39f5
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 0fed0907aaba
Removing intermediate container 0fed0907aaba
 ---> 786cdb28ec24
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 49238060ad37
Removing intermediate container 49238060ad37
 ---> 058c708ab1c6
Successfully built 058c708ab1c6
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> a008149ae1d3
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> d78fe3dee21d
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 20e4087e7610
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> a7834aed45bc
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 41497a29b03f
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> 4a0ca7334edf
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> ad4772f8df2d
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> c4860fbf39f5
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 786cdb28ec24
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 058c708ab1c6
Successfully built 058c708ab1c6
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 2ms
Stack persistence
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack wt-hosted-zone
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack business
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A0f8ae8ebc1692851717a9145efb37fa9 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A0f8ae8ebc1692851717a9145efb37fa9

Stack presentation
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
Stack admin
(To get rid of this warning, please upgrade to bootstrap version >= undefined)
There were no differences
renovate[bot]

comment created time in 4 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo to v2 (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
f4222fa12a28: Pulling fs layer
ec1a8451d297: Pulling fs layer
e6574f313133: Pulling fs layer
04953c722c8b: Pulling fs layer
8e410e941e98: Pulling fs layer
11d61a0ecb59: Pulling fs layer
46e549523509: Pulling fs layer
f2c9996e16c5: Pulling fs layer
866e7f50ff17: Pulling fs layer
e6574f313133: Waiting
04953c722c8b: Waiting
8e410e941e98: Waiting
11d61a0ecb59: Waiting
46e549523509: Waiting
f2c9996e16c5: Waiting
866e7f50ff17: Waiting
f4222fa12a28: Verifying Checksum
f4222fa12a28: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
e6574f313133: Verifying Checksum
e6574f313133: Download complete
ec1a8451d297: Verifying Checksum
ec1a8451d297: Download complete
8e410e941e98: Verifying Checksum
8e410e941e98: Download complete
11d61a0ecb59: Verifying Checksum
11d61a0ecb59: Download complete
46e549523509: Verifying Checksum
46e549523509: Download complete
f2c9996e16c5: Verifying Checksum
f2c9996e16c5: Download complete
866e7f50ff17: Download complete
04953c722c8b: Verifying Checksum
04953c722c8b: Download complete
1533ccbbac79: Pull complete
f4222fa12a28: Pull complete
ec1a8451d297: Pull complete
e6574f313133: Pull complete
04953c722c8b: Pull complete
8e410e941e98: Pull complete
11d61a0ecb59: Pull complete
46e549523509: Pull complete
f2c9996e16c5: Pull complete
866e7f50ff17: Pull complete
Digest: sha256:31621deaf6d0e4097f718f8cdbdb53a9a9e3422b1c32bce811f38d2703c47922
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in adaa9aed6292
Removing intermediate container adaa9aed6292
 ---> a65570e46519
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 86f4ef491b0c
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 86f4ef491b0c
 ---> 718a9a1e99e1
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 3dbade506b0f
Collecting pipenv
  Downloading pipenv-2022.1.8-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2022.1.8 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.1 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.8 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 3dbade506b0f
 ---> 488b97458ecf
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in ee52bdc0c983
Removing intermediate container ee52bdc0c983
 ---> 56c23b34a29d
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 3649b67f7818
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 5be5f8539311
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 5be5f8539311
 ---> a58f7eaf668e
Step 9/9 : CMD [ "python" ]
 ---> Running in c5c880a5b7cb
Removing intermediate container c5c880a5b7cb
 ---> f38c88921ac7
Successfully built f38c88921ac7
Successfully tagged cdk-f998c5bafa651413bd6610092a59aede8d5db276dd2642fe4a5ba26e8b05e86e:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/4 : CMD [ "python" ]
 ---> Running in 1cd20788d1c1
Removing intermediate container 1cd20788d1c1
 ---> 453101a8c7c9
Successfully built 453101a8c7c9
Successfully tagged cdk-da42e5cd3a30665623a5a786ec6d26d6bb6f5599dad28acc7ab617e36448c699:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 453101a8c7c9
Successfully built 453101a8c7c9
Successfully tagged cdk-52599d00906722caa06ecb31e085137f6764f24456fe9d609ee0357c74185658:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 718a9a1e99e1
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 488b97458ecf
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 56c23b34a29d
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 3649b67f7818
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> a58f7eaf668e
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> f38c88921ac7
Successfully built f38c88921ac7
Successfully tagged cdk-de98827a3a7057e7ed5b94cfac194a38b5d8dc4e73aaffaf55aac16f7dc1ed3e:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 718a9a1e99e1
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 488b97458ecf
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 56c23b34a29d
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 769709f5d047
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in c2c7d670d7ec
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container c2c7d670d7ec
 ---> 7176907a8404
Step 9/9 : CMD [ "python" ]
 ---> Running in eca33e866497
Removing intermediate container eca33e866497
 ---> aeac7ff11bd7
Successfully built aeac7ff11bd7
Successfully tagged cdk-ee808265b0dd91d7308666b74dfe62da19254cecf5beaafddacc44eb8e7c4271:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 453101a8c7c9
Successfully built 453101a8c7c9
Successfully tagged cdk-2f394f1cefe619a62fa2e17b1a627ef1d1d7c26974d20582f9d67251cd346d57:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 718a9a1e99e1
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 488b97458ecf
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 56c23b34a29d
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 4d933db0ac55
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 89a588a2ff54
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.4.0-py2.py3-none-any.whl (111 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.5.0-py3-none-any.whl (958 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.4.0 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.3 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.1 rsa-4.8 setuptools-60.5.0 six-1.16.0 urllib3-1.26.8
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 89a588a2ff54
 ---> f736e4175e39
Step 9/9 : CMD [ "python" ]
 ---> Running in a75e1e7204bb
Removing intermediate container a75e1e7204bb
 ---> 9cd0947d4302
Successfully built 9cd0947d4302
Successfully tagged cdk-dcfbab77cb6c650c58cd851870a43bd75b9fbefc792fc0eb540f645d38b85a01:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 718a9a1e99e1
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 488b97458ecf
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 56c23b34a29d
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 4d933db0ac55
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> f736e4175e39
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 9cd0947d4302
Successfully built 9cd0947d4302
Successfully tagged cdk-714dc3647157f19a37e8550cec825c0e4dcd651a937463e690112af62e1a38d1:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 453101a8c7c9
Successfully built 453101a8c7c9
Successfully tagged cdk-9b9023927cb6b4112d386c1d7d2311893b8fa550dbd4003f70abf711d1c3e14e:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 453101a8c7c9
Successfully built 453101a8c7c9
Successfully tagged cdk-19faeea8bd7bc759a07f1f06fe088e4c7cc563c7991df830a1c599ec6d638a4a:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 453101a8c7c9
Successfully built 453101a8c7c9
Successfully tagged cdk-1876a8faa332d998017256ccb7ee5749e767e076d1a4fa2ff727b6e2949f6de2:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> a65570e46519
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 453101a8c7c9
Successfully built 453101a8c7c9
Successfully tagged cdk-a75810b83989b4dcfe9fcf3e816b2a870f6f09c300e639577263be593ccd5b31:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
449ab693a06e: Pulling fs layer
5707912faff9: Pulling fs layer
43360fb69a6e: Pulling fs layer
7222bf10de3c: Pulling fs layer
7e9f7a10f66d: Pulling fs layer
d0374ab3e8b4: Pulling fs layer
48a7e4b1f570: Pulling fs layer
4f7546189d0c: Pulling fs layer
7a9777a2df7c: Pulling fs layer
7222bf10de3c: Waiting
7e9f7a10f66d: Waiting
d0374ab3e8b4: Waiting
48a7e4b1f570: Waiting
4f7546189d0c: Waiting
7a9777a2df7c: Waiting
449ab693a06e: Verifying Checksum
449ab693a06e: Download complete
43360fb69a6e: Verifying Checksum
43360fb69a6e: Download complete
449ab693a06e: Pull complete
5707912faff9: Verifying Checksum
5707912faff9: Download complete
7e9f7a10f66d: Verifying Checksum
7e9f7a10f66d: Download complete
d0374ab3e8b4: Verifying Checksum
d0374ab3e8b4: Download complete
48a7e4b1f570: Verifying Checksum
48a7e4b1f570: Download complete
4f7546189d0c: Verifying Checksum
4f7546189d0c: Download complete
7a9777a2df7c: Verifying Checksum
7a9777a2df7c: Download complete
7222bf10de3c: Verifying Checksum
7222bf10de3c: Download complete
5707912faff9: Pull complete
43360fb69a6e: Pull complete
7222bf10de3c: Pull complete
7e9f7a10f66d: Pull complete
d0374ab3e8b4: Pull complete
48a7e4b1f570: Pull complete
4f7546189d0c: Pull complete
7a9777a2df7c: Pull complete
Digest: sha256:551abb8ac6437ea6eb92ce72ea85186c0ca85d4ff5adbd92b4d90b0e5e1ac341
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in 10635dc9bcba
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.527s
Removing intermediate container 10635dc9bcba
 ---> 68720159a1a0
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 4578538114c3
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.25.1
added 1 package in 1.408s
Removing intermediate container 4578538114c3
 ---> 41e0c7b5eaf6
Step 5/12 : RUN npm install --global typescript
 ---> Running in a2336189923b
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 2.121s
Removing intermediate container a2336189923b
 ---> cd4a44fa5467
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 6e59a84d094f
Removing intermediate container 6e59a84d094f
 ---> 30171b1f7e78
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 12e2eeae1d05
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.11 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.11: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.11: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.11: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.11: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.11: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.11: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.11: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.11: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.11: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.11: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.11: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.11: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.11: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.11: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.11: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.11: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.11: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.11
added 2 packages in 3.502s
Removing intermediate container 12e2eeae1d05
 ---> c39234eb5bae
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in d68dac3daaaa
Removing intermediate container d68dac3daaaa
 ---> ae244fc2f02a
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 4d9341e689e2
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.04s.
Removing intermediate container 4d9341e689e2
 ---> 669710d1009e
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 195b488ea24f
Removing intermediate container 195b488ea24f
 ---> 4f0e6960abce
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 3f95942c3762
Removing intermediate container 3f95942c3762
 ---> 7edb2d6a1cb1
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 38077c86f08e
Removing intermediate container 38077c86f08e
 ---> 1733e99b5314
Successfully built 1733e99b5314
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 5ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 68720159a1a0
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 41e0c7b5eaf6
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> cd4a44fa5467
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 30171b1f7e78
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> c39234eb5bae
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> ae244fc2f02a
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> 669710d1009e
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> 4f0e6960abce
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 7edb2d6a1cb1
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 1733e99b5314
Successfully built 1733e99b5314
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 5ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A33c9d3df5d7ad2a8cf495a8297396fed 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A33c9d3df5d7ad2a8cf495a8297396fed

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 4 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
f4222fa12a28: Pulling fs layer
ec1a8451d297: Pulling fs layer
e6574f313133: Pulling fs layer
04953c722c8b: Pulling fs layer
8e410e941e98: Pulling fs layer
11d61a0ecb59: Pulling fs layer
46e549523509: Pulling fs layer
f2c9996e16c5: Pulling fs layer
866e7f50ff17: Pulling fs layer
e6574f313133: Waiting
04953c722c8b: Waiting
8e410e941e98: Waiting
11d61a0ecb59: Waiting
46e549523509: Waiting
f2c9996e16c5: Waiting
866e7f50ff17: Waiting
f4222fa12a28: Download complete
e6574f313133: Verifying Checksum
e6574f313133: Download complete
ec1a8451d297: Verifying Checksum
ec1a8451d297: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
8e410e941e98: Verifying Checksum
8e410e941e98: Download complete
11d61a0ecb59: Verifying Checksum
11d61a0ecb59: Download complete
46e549523509: Verifying Checksum
46e549523509: Download complete
866e7f50ff17: Verifying Checksum
866e7f50ff17: Download complete
f2c9996e16c5: Verifying Checksum
f2c9996e16c5: Download complete
1533ccbbac79: Pull complete
04953c722c8b: Verifying Checksum
04953c722c8b: Download complete
f4222fa12a28: Pull complete
ec1a8451d297: Pull complete
e6574f313133: Pull complete
04953c722c8b: Pull complete
8e410e941e98: Pull complete
11d61a0ecb59: Pull complete
46e549523509: Pull complete
f2c9996e16c5: Pull complete
866e7f50ff17: Pull complete
Digest: sha256:31621deaf6d0e4097f718f8cdbdb53a9a9e3422b1c32bce811f38d2703c47922
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in a48e81c1a4c4
Removing intermediate container a48e81c1a4c4
 ---> 958cf9c1db5e
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in d2b5206036b4
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container d2b5206036b4
 ---> 433ec598a31d
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 88e43f7f60fc
Collecting pipenv
  Downloading pipenv-2022.1.8-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2022.1.8 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.1 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.8 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 88e43f7f60fc
 ---> 8a4ea716deab
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 37cb59719cae
Removing intermediate container 37cb59719cae
 ---> 5e93279c2b09
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 001b494a8493
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 86c52e8a425e
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 86c52e8a425e
 ---> de2b5f5e7c28
Step 9/9 : CMD [ "python" ]
 ---> Running in 1582dc4239f1
Removing intermediate container 1582dc4239f1
 ---> 0536486ba1c3
Successfully built 0536486ba1c3
Successfully tagged cdk-ecb76d65f8d7a3741e977e192831ea4aa9a844cbd8e48e4807f2b7f1b499193c:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/4 : CMD [ "python" ]
 ---> Running in a61083ebaf9d
Removing intermediate container a61083ebaf9d
 ---> 8fbc0e6fb12c
Successfully built 8fbc0e6fb12c
Successfully tagged cdk-ced0fad3b5a43ad8e2e66de0d65063e4ac278103e6ea3f577d320f4260842e44:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8fbc0e6fb12c
Successfully built 8fbc0e6fb12c
Successfully tagged cdk-1fd0596119288665a6fe7fd8ff5a3aed20f415e8d337b9363a3572d4fb38e44f:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 433ec598a31d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8a4ea716deab
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 5e93279c2b09
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 001b494a8493
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> de2b5f5e7c28
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 0536486ba1c3
Successfully built 0536486ba1c3
Successfully tagged cdk-a8342198f12447c275e44676f43906b111ed7e2700bf8d2baf1e823273aef909:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 433ec598a31d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8a4ea716deab
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 5e93279c2b09
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> fc114e2314f0
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 7282d70f987e
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 7282d70f987e
 ---> e311dc1b49b7
Step 9/9 : CMD [ "python" ]
 ---> Running in ce392f10fc6f
Removing intermediate container ce392f10fc6f
 ---> fafaab119fea
Successfully built fafaab119fea
Successfully tagged cdk-bc7b75003f6f210ef254d2e700daf322fa6e4485a4492c50f0295945ada04eae:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8fbc0e6fb12c
Successfully built 8fbc0e6fb12c
Successfully tagged cdk-9a34ddb57af29281bc8430bf83632254c3af31483135cbf1b1ccefd313a5f52d:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 433ec598a31d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8a4ea716deab
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 5e93279c2b09
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 0e6127eb920e
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in edc0236eca80
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.4.0-py2.py3-none-any.whl (111 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.5.0-py3-none-any.whl (958 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.4.0 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.3 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.1 rsa-4.8 setuptools-60.5.0 six-1.16.0 urllib3-1.26.8
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container edc0236eca80
 ---> 18599b622f46
Step 9/9 : CMD [ "python" ]
 ---> Running in f89f1f8dfb20
Removing intermediate container f89f1f8dfb20
 ---> ef2cd2c99777
Successfully built ef2cd2c99777
Successfully tagged cdk-9d3d1444a750e65d82bf0e7e15771ec57992b2d7d5cbfa0bf37c41eef2ee5231:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 433ec598a31d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8a4ea716deab
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 5e93279c2b09
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 0e6127eb920e
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 18599b622f46
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> ef2cd2c99777
Successfully built ef2cd2c99777
Successfully tagged cdk-6d2466ca484f4c79101b965f9b5dee38f3e7e9b97331a97ce8615de05319c8c4:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8fbc0e6fb12c
Successfully built 8fbc0e6fb12c
Successfully tagged cdk-6395c0876de31e3adb2508c4db232d882a6dee51090302730ac994c78dfe02c3:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8fbc0e6fb12c
Successfully built 8fbc0e6fb12c
Successfully tagged cdk-c89efa49d7f57a9c9c7f46221d84912de67cd141f31d3837608519a140d32836:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8fbc0e6fb12c
Successfully built 8fbc0e6fb12c
Successfully tagged cdk-3b01d78ebb2ce0d266ea166cd112324a2135d0096bcd18edf7551567af8cf03f:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 958cf9c1db5e
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8fbc0e6fb12c
Successfully built 8fbc0e6fb12c
Successfully tagged cdk-1541e588423289a12a6bfd653e7d0b5d201dfe98508837066c59ef40177dc423:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
449ab693a06e: Pulling fs layer
5707912faff9: Pulling fs layer
43360fb69a6e: Pulling fs layer
7222bf10de3c: Pulling fs layer
7e9f7a10f66d: Pulling fs layer
d0374ab3e8b4: Pulling fs layer
48a7e4b1f570: Pulling fs layer
4f7546189d0c: Pulling fs layer
7a9777a2df7c: Pulling fs layer
7222bf10de3c: Waiting
7e9f7a10f66d: Waiting
d0374ab3e8b4: Waiting
48a7e4b1f570: Waiting
4f7546189d0c: Waiting
7a9777a2df7c: Waiting
449ab693a06e: Verifying Checksum
449ab693a06e: Download complete
43360fb69a6e: Verifying Checksum
43360fb69a6e: Download complete
449ab693a06e: Pull complete
7e9f7a10f66d: Download complete
5707912faff9: Verifying Checksum
5707912faff9: Download complete
d0374ab3e8b4: Verifying Checksum
d0374ab3e8b4: Download complete
4f7546189d0c: Verifying Checksum
4f7546189d0c: Download complete
48a7e4b1f570: Verifying Checksum
48a7e4b1f570: Download complete
7a9777a2df7c: Verifying Checksum
7a9777a2df7c: Download complete
7222bf10de3c: Verifying Checksum
7222bf10de3c: Download complete
5707912faff9: Pull complete
43360fb69a6e: Pull complete
7222bf10de3c: Pull complete
7e9f7a10f66d: Pull complete
d0374ab3e8b4: Pull complete
48a7e4b1f570: Pull complete
4f7546189d0c: Pull complete
7a9777a2df7c: Pull complete
Digest: sha256:551abb8ac6437ea6eb92ce72ea85186c0ca85d4ff5adbd92b4d90b0e5e1ac341
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in 0b737857c275
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.361s
Removing intermediate container 0b737857c275
 ---> be43652b3bd7
Step 4/12 : RUN npm install --global pnpm
 ---> Running in ae69cfaf44f4
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.25.1
added 1 package in 1.037s
Removing intermediate container ae69cfaf44f4
 ---> cac0e787adc1
Step 5/12 : RUN npm install --global typescript
 ---> Running in 8d1490f2f16c
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.602s
Removing intermediate container 8d1490f2f16c
 ---> 0bddd367ea17
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in c290a4943a73
Removing intermediate container c290a4943a73
 ---> f2edb4765271
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in d1ba9e192ca1
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.11 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.11: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.11: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.11: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.11: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.11: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.11: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.11: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.11: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.11: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.11: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.11: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.11: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.11: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.11: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.11: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.11: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.11: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.11
added 2 packages in 2.681s
Removing intermediate container d1ba9e192ca1
 ---> 72329c43a169
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 329bb1902575
Removing intermediate container 329bb1902575
 ---> 19d19c1d5a97
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 182b0cee1839
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container 182b0cee1839
 ---> d2fdbd0b4539
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 9020bd0716a8
Removing intermediate container 9020bd0716a8
 ---> c71b4e83f01c
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 5817cbba504b
Removing intermediate container 5817cbba504b
 ---> 33a70d252993
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in fe279bdad68b
Removing intermediate container fe279bdad68b
 ---> 07aa4c95fb3f
Successfully built 07aa4c95fb3f
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 4ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> be43652b3bd7
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> cac0e787adc1
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 0bddd367ea17
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> f2edb4765271
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 72329c43a169
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> 19d19c1d5a97
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> d2fdbd0b4539
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> c71b4e83f01c
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 33a70d252993
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 07aa4c95fb3f
Successfully built 07aa4c95fb3f
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A43e47a815a5896763f311ac5770696ff 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A43e47a815a5896763f311ac5770696ff

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 4 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo to v2 (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
f4222fa12a28: Pulling fs layer
ec1a8451d297: Pulling fs layer
e6574f313133: Pulling fs layer
04953c722c8b: Pulling fs layer
8e410e941e98: Pulling fs layer
11d61a0ecb59: Pulling fs layer
46e549523509: Pulling fs layer
f2c9996e16c5: Pulling fs layer
866e7f50ff17: Pulling fs layer
e6574f313133: Waiting
04953c722c8b: Waiting
8e410e941e98: Waiting
11d61a0ecb59: Waiting
46e549523509: Waiting
f2c9996e16c5: Waiting
866e7f50ff17: Waiting
f4222fa12a28: Verifying Checksum
f4222fa12a28: Download complete
e6574f313133: Verifying Checksum
e6574f313133: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
ec1a8451d297: Verifying Checksum
ec1a8451d297: Download complete
8e410e941e98: Verifying Checksum
8e410e941e98: Download complete
11d61a0ecb59: Verifying Checksum
11d61a0ecb59: Download complete
46e549523509: Verifying Checksum
46e549523509: Download complete
f2c9996e16c5: Verifying Checksum
f2c9996e16c5: Download complete
866e7f50ff17: Verifying Checksum
866e7f50ff17: Download complete
1533ccbbac79: Pull complete
04953c722c8b: Verifying Checksum
04953c722c8b: Download complete
f4222fa12a28: Pull complete
ec1a8451d297: Pull complete
e6574f313133: Pull complete
04953c722c8b: Pull complete
8e410e941e98: Pull complete
11d61a0ecb59: Pull complete
46e549523509: Pull complete
f2c9996e16c5: Pull complete
866e7f50ff17: Pull complete
Digest: sha256:31621deaf6d0e4097f718f8cdbdb53a9a9e3422b1c32bce811f38d2703c47922
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in cadf6ddcd281
Removing intermediate container cadf6ddcd281
 ---> f3c18047c483
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 900d8f7ed805
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 900d8f7ed805
 ---> cd5e29240d70
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 2cae840d9f56
Collecting pipenv
  Downloading pipenv-2022.1.8-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2022.1.8 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.1 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.8 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 2cae840d9f56
 ---> c6e5ecb3a84c
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 122e45a19057
Removing intermediate container 122e45a19057
 ---> f1ef9f6d821a
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 3f2bc1d22254
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 30c12d0f4ec6
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 30c12d0f4ec6
 ---> b66682e27c2e
Step 9/9 : CMD [ "python" ]
 ---> Running in 277553e783e9
Removing intermediate container 277553e783e9
 ---> bb2fee820738
Successfully built bb2fee820738
Successfully tagged cdk-5fe4eba415880658d6e4d713328b70f7f04e648299c9e023c04eab73d5bfae76:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/4 : CMD [ "python" ]
 ---> Running in 9a7668648e78
Removing intermediate container 9a7668648e78
 ---> c0ffe6e7032a
Successfully built c0ffe6e7032a
Successfully tagged cdk-396ad946db2cb7e50fc7c5f15b4aa5950e8ff9b60715c2209f32f6b866e5fb00:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> c0ffe6e7032a
Successfully built c0ffe6e7032a
Successfully tagged cdk-3a79a5db4d1d8973b191b5d71dd6e0b9df75b54d0ca7ab76742613bbc5dd4def:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> cd5e29240d70
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> c6e5ecb3a84c
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> f1ef9f6d821a
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 3f2bc1d22254
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> b66682e27c2e
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> bb2fee820738
Successfully built bb2fee820738
Successfully tagged cdk-0cd2a56fc0d92ea4f0f237c1697fd2f377e8b8e6a99948f206b9a292b027da92:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> cd5e29240d70
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> c6e5ecb3a84c
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> f1ef9f6d821a
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 2fba5e34c643
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in d04112a79a9d
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container d04112a79a9d
 ---> ba84717e0b48
Step 9/9 : CMD [ "python" ]
 ---> Running in 163a3d6937cf
Removing intermediate container 163a3d6937cf
 ---> 911370540535
Successfully built 911370540535
Successfully tagged cdk-9ea65dd9c9b746c1e1fd18c360710173d33f689a29b42cef3d4a42dfa93bf70d:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> c0ffe6e7032a
Successfully built c0ffe6e7032a
Successfully tagged cdk-584f3392fa2a8e43053e70a5687d95d2d102a02c91cd65b1f2971d1d24c68e1f:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> cd5e29240d70
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> c6e5ecb3a84c
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> f1ef9f6d821a
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 84f933f2121c
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in b3171080b406
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.5.0-py3-none-any.whl (958 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.8-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.1 rsa-4.8 setuptools-60.5.0 six-1.16.0 urllib3-1.26.8
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container b3171080b406
 ---> 8f4c571f8ad9
Step 9/9 : CMD [ "python" ]
 ---> Running in 10ee1ac5a29a
Removing intermediate container 10ee1ac5a29a
 ---> ffe934e6e803
Successfully built ffe934e6e803
Successfully tagged cdk-bdc6bdc6fb62af29ffcc8fd96bacca74e7440b477b978b06ed90a39452590f3d:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> cd5e29240d70
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> c6e5ecb3a84c
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> f1ef9f6d821a
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 84f933f2121c
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 8f4c571f8ad9
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> ffe934e6e803
Successfully built ffe934e6e803
Successfully tagged cdk-f3e90956ee9631be3564f1b7a756e241d0cf21c93e2810cd292f7affea901150:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> c0ffe6e7032a
Successfully built c0ffe6e7032a
Successfully tagged cdk-ea3f54f2ad95fd9baedd2d6607184e0ede13613a2cd07b2042de3cf50e21b7de:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> c0ffe6e7032a
Successfully built c0ffe6e7032a
Successfully tagged cdk-e28a7a53386f5d95d5d5c2e7d8dd48ef87d731c2174c0ec12bdf097c16084d2a:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> c0ffe6e7032a
Successfully built c0ffe6e7032a
Successfully tagged cdk-be2bd314536bc3460a89319f852da95bdcf8321e5eb8e8667ab533089cfc5575:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> f3c18047c483
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> c0ffe6e7032a
Successfully built c0ffe6e7032a
Successfully tagged cdk-0ce1d3b20ab59bdca1c16e146de6f520172a1aa81284fa3cef818510124ceaaf:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
449ab693a06e: Pulling fs layer
5707912faff9: Pulling fs layer
43360fb69a6e: Pulling fs layer
7222bf10de3c: Pulling fs layer
7e9f7a10f66d: Pulling fs layer
d0374ab3e8b4: Pulling fs layer
48a7e4b1f570: Pulling fs layer
4f7546189d0c: Pulling fs layer
7a9777a2df7c: Pulling fs layer
7222bf10de3c: Waiting
7e9f7a10f66d: Waiting
d0374ab3e8b4: Waiting
48a7e4b1f570: Waiting
4f7546189d0c: Waiting
7a9777a2df7c: Waiting
449ab693a06e: Verifying Checksum
449ab693a06e: Download complete
43360fb69a6e: Verifying Checksum
43360fb69a6e: Download complete
449ab693a06e: Pull complete
7e9f7a10f66d: Verifying Checksum
7e9f7a10f66d: Download complete
5707912faff9: Verifying Checksum
5707912faff9: Download complete
d0374ab3e8b4: Verifying Checksum
d0374ab3e8b4: Download complete
48a7e4b1f570: Verifying Checksum
48a7e4b1f570: Download complete
4f7546189d0c: Verifying Checksum
4f7546189d0c: Download complete
7a9777a2df7c: Verifying Checksum
7a9777a2df7c: Download complete
5707912faff9: Pull complete
7222bf10de3c: Verifying Checksum
7222bf10de3c: Download complete
43360fb69a6e: Pull complete
7222bf10de3c: Pull complete
7e9f7a10f66d: Pull complete
d0374ab3e8b4: Pull complete
48a7e4b1f570: Pull complete
4f7546189d0c: Pull complete
7a9777a2df7c: Pull complete
Digest: sha256:551abb8ac6437ea6eb92ce72ea85186c0ca85d4ff5adbd92b4d90b0e5e1ac341
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in 097f4d80ffad
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.555s
Removing intermediate container 097f4d80ffad
 ---> 6e5b75063dcf
Step 4/12 : RUN npm install --global pnpm
 ---> Running in a4aaebf15946
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.25.1
added 1 package in 1.039s
Removing intermediate container a4aaebf15946
 ---> 8bc8e08d4645
Step 5/12 : RUN npm install --global typescript
 ---> Running in f769caf3e81d
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.553s
Removing intermediate container f769caf3e81d
 ---> 454609bff32f
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 730172c68928
Removing intermediate container 730172c68928
 ---> 46cc1b9d4601
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 4d14f47676f3
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.11 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.11: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.11: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.11: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.11: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.11: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.11: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.11: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.11: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.11: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.11: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.11: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.11: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.11: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.11: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.11 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.11: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.11: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.11 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.11: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.11
added 2 packages in 2.618s
Removing intermediate container 4d14f47676f3
 ---> 0a546b062e00
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 2559e4c83b91
Removing intermediate container 2559e4c83b91
 ---> 1d9e00671da8
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in ff72ce11c756
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container ff72ce11c756
 ---> f835eb3726d6
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in bdeb7566ecf9
Removing intermediate container bdeb7566ecf9
 ---> 73158ae72b0c
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in f26cb241de01
Removing intermediate container f26cb241de01
 ---> d420785aeb6b
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 272ce26c56be
Removing intermediate container 272ce26c56be
 ---> 6633013a9f69
Successfully built 6633013a9f69
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 6e5b75063dcf
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 8bc8e08d4645
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 454609bff32f
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 46cc1b9d4601
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 0a546b062e00
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> 1d9e00671da8
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> f835eb3726d6
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> 73158ae72b0c
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> d420785aeb6b
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 6633013a9f69
Successfully built 6633013a9f69
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A2bd614fc39ee28cc8d6df96e61436d5c 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A2bd614fc39ee28cc8d6df96e61436d5c

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 7 days

startedminamijoyo/tfmigrate

started time in 10 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo to v2 (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
f4222fa12a28: Pulling fs layer
ec1a8451d297: Pulling fs layer
e6574f313133: Pulling fs layer
04953c722c8b: Pulling fs layer
8e410e941e98: Pulling fs layer
11d61a0ecb59: Pulling fs layer
46e549523509: Pulling fs layer
f2c9996e16c5: Pulling fs layer
866e7f50ff17: Pulling fs layer
8e410e941e98: Waiting
11d61a0ecb59: Waiting
46e549523509: Waiting
f2c9996e16c5: Waiting
e6574f313133: Waiting
04953c722c8b: Waiting
866e7f50ff17: Waiting
f4222fa12a28: Verifying Checksum
f4222fa12a28: Download complete
ec1a8451d297: Verifying Checksum
ec1a8451d297: Download complete
e6574f313133: Verifying Checksum
e6574f313133: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
8e410e941e98: Verifying Checksum
8e410e941e98: Download complete
46e549523509: Verifying Checksum
46e549523509: Download complete
11d61a0ecb59: Verifying Checksum
11d61a0ecb59: Download complete
f2c9996e16c5: Verifying Checksum
f2c9996e16c5: Download complete
866e7f50ff17: Verifying Checksum
866e7f50ff17: Download complete
04953c722c8b: Verifying Checksum
04953c722c8b: Download complete
1533ccbbac79: Pull complete
f4222fa12a28: Pull complete
ec1a8451d297: Pull complete
e6574f313133: Pull complete
04953c722c8b: Pull complete
8e410e941e98: Pull complete
11d61a0ecb59: Pull complete
46e549523509: Pull complete
f2c9996e16c5: Pull complete
866e7f50ff17: Pull complete
Digest: sha256:31621deaf6d0e4097f718f8cdbdb53a9a9e3422b1c32bce811f38d2703c47922
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in aaf9db8dc255
Removing intermediate container aaf9db8dc255
 ---> 4270ce1dda20
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 87a19ee606fe
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 87a19ee606fe
 ---> 34c87a68d25d
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 298702cca5c7
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.1 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
Removing intermediate container 298702cca5c7
 ---> ea203973c013
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 204a708ba495
Removing intermediate container 204a708ba495
 ---> 9f2d2143e853
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 11a7c08e29a0
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 61b1f9193350
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 61b1f9193350
 ---> 40abc115b9eb
Step 9/9 : CMD [ "python" ]
 ---> Running in 1b8c06b0d8f4
Removing intermediate container 1b8c06b0d8f4
 ---> 70e5ecaaeff6
Successfully built 70e5ecaaeff6
Successfully tagged cdk-b57e65b0adfc4e9c8277b755f0d3dab4c745c82a6886f704a0901ee26492b7b5:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/4 : CMD [ "python" ]
 ---> Running in 1755695befe1
Removing intermediate container 1755695befe1
 ---> 9a64ea569046
Successfully built 9a64ea569046
Successfully tagged cdk-ed87ea996d4d6bea473a037f1fc63a5e6ccbcffd30c4fa8794a400a7ff9111a9:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 9a64ea569046
Successfully built 9a64ea569046
Successfully tagged cdk-76c3d51842488e98fae181df054740127fac23ef52a0cb4dd44281d1e8a33e63:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 34c87a68d25d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ea203973c013
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 9f2d2143e853
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 11a7c08e29a0
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 40abc115b9eb
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 70e5ecaaeff6
Successfully built 70e5ecaaeff6
Successfully tagged cdk-e5467c73d8445b74f3f1ef33bb24587799a066c9662c96f53beb55c804f46627:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 34c87a68d25d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ea203973c013
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 9f2d2143e853
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> e537d16ffd10
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in a64fbccbd67a
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container a64fbccbd67a
 ---> 7cfd82048128
Step 9/9 : CMD [ "python" ]
 ---> Running in c44b3799814c
Removing intermediate container c44b3799814c
 ---> 5755f8218f47
Successfully built 5755f8218f47
Successfully tagged cdk-24e47f8c1443631914cf777b45db49658e41c5bb19a8144b1323f3e70769e06b:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 9a64ea569046
Successfully built 9a64ea569046
Successfully tagged cdk-27b9d50b9b9f6e0e70cdff6cc332cd06e76d24574798441b52709652bb1b1026:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 34c87a68d25d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ea203973c013
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 9f2d2143e853
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> b04e029043a8
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 3bcc180eb4c7
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting setuptools>=40.3.0
  Using cached setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.1-py2.py3-none-any.whl (63 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.1 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 3bcc180eb4c7
 ---> a6360f143dbc
Step 9/9 : CMD [ "python" ]
 ---> Running in 801933fd4130
Removing intermediate container 801933fd4130
 ---> b383619ed2d4
Successfully built b383619ed2d4
Successfully tagged cdk-531fbedd79ed65a07d4f5073da18f86743f04c0cdfd1470112f37b79971073a2:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 34c87a68d25d
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ea203973c013
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 9f2d2143e853
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> b04e029043a8
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> a6360f143dbc
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> b383619ed2d4
Successfully built b383619ed2d4
Successfully tagged cdk-79427363d55bb6f878234d51c5de11d554ea0775de00aaf60b96bd836a53e4e2:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 9a64ea569046
Successfully built 9a64ea569046
Successfully tagged cdk-d32d91f57f50be73793ef3f0d26f985654edeeaed251a06d99ae2e94ee183503:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 9a64ea569046
Successfully built 9a64ea569046
Successfully tagged cdk-1764a303418a411b9f64c657db3284e7140e8e50968f7d725c1a409bbe12ee96:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 9a64ea569046
Successfully built 9a64ea569046
Successfully tagged cdk-064796e32c388447b1d3ccc8e748cbef82fdf9dc30bd8dfad9d4ce75ed500fe0:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 7925e2bf1015
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 4270ce1dda20
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 9a64ea569046
Successfully built 9a64ea569046
Successfully tagged cdk-caf10d0e6a8266265278b38722b7ad25cb1be2117b5bf45526821cfd6fe4f308:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
449ab693a06e: Pulling fs layer
5707912faff9: Pulling fs layer
43360fb69a6e: Pulling fs layer
7222bf10de3c: Pulling fs layer
7e9f7a10f66d: Pulling fs layer
d0374ab3e8b4: Pulling fs layer
48a7e4b1f570: Pulling fs layer
4f7546189d0c: Pulling fs layer
7a9777a2df7c: Pulling fs layer
7222bf10de3c: Waiting
7e9f7a10f66d: Waiting
d0374ab3e8b4: Waiting
48a7e4b1f570: Waiting
4f7546189d0c: Waiting
7a9777a2df7c: Waiting
449ab693a06e: Download complete
43360fb69a6e: Verifying Checksum
43360fb69a6e: Download complete
449ab693a06e: Pull complete
7e9f7a10f66d: Verifying Checksum
7e9f7a10f66d: Download complete
5707912faff9: Verifying Checksum
5707912faff9: Download complete
d0374ab3e8b4: Verifying Checksum
d0374ab3e8b4: Download complete
4f7546189d0c: Verifying Checksum
4f7546189d0c: Download complete
7a9777a2df7c: Verifying Checksum
7a9777a2df7c: Download complete
48a7e4b1f570: Verifying Checksum
48a7e4b1f570: Download complete
5707912faff9: Pull complete
43360fb69a6e: Pull complete
7222bf10de3c: Verifying Checksum
7222bf10de3c: Download complete
7222bf10de3c: Pull complete
7e9f7a10f66d: Pull complete
d0374ab3e8b4: Pull complete
48a7e4b1f570: Pull complete
4f7546189d0c: Pull complete
7a9777a2df7c: Pull complete
Digest: sha256:551abb8ac6437ea6eb92ce72ea85186c0ca85d4ff5adbd92b4d90b0e5e1ac341
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in aae981b92c22
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.35s
Removing intermediate container aae981b92c22
 ---> 061f2b4cd185
Step 4/12 : RUN npm install --global pnpm
 ---> Running in e4f070086b47
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.25.0
added 1 package in 1.07s
Removing intermediate container e4f070086b47
 ---> 49dd08378221
Step 5/12 : RUN npm install --global typescript
 ---> Running in 29b7a642b541
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.628s
Removing intermediate container 29b7a642b541
 ---> 2d9bbb9cb266
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 72098ea2ba98
Removing intermediate container 72098ea2ba98
 ---> 2e622b5ca567
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 40868ccdacd7
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.872s
Removing intermediate container 40868ccdacd7
 ---> e0fbf8cd964c
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 44f5e7e00bde
Removing intermediate container 44f5e7e00bde
 ---> 2d97c02a6884
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 7a0b864c239a
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container 7a0b864c239a
 ---> b0e6ea314a25
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in ff3d8a65eb82
Removing intermediate container ff3d8a65eb82
 ---> 13015c2ffcdc
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in daad0ac8d735
Removing intermediate container daad0ac8d735
 ---> 1337ae691fdc
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 56d9f9af5c3d
Removing intermediate container 56d9f9af5c3d
 ---> cf797e0e3d2d
Successfully built cf797e0e3d2d
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> c5e253a1151c
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 061f2b4cd185
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 49dd08378221
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 2d9bbb9cb266
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 2e622b5ca567
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> e0fbf8cd964c
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> 2d97c02a6884
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> b0e6ea314a25
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> 13015c2ffcdc
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 1337ae691fdc
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> cf797e0e3d2d
Successfully built cf797e0e3d2d
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 2ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A78a9a16e008513f08bc8cec5415b9554 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A78a9a16e008513f08bc8cec5415b9554

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 10 days

startedaquasecurity/tfsec

started time in 11 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency jest to v27.4.7

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
c129e80630d1: Waiting
e7c7342db6c7: Waiting
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
6b438a8ca379: Waiting
de78ea6ed888: Waiting
56f371314bc8: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
1533ccbbac79: Pull complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in 6987b8cc072a
Removing intermediate container 6987b8cc072a
 ---> ae1be809c836
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 5df2f041ebec
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 5df2f041ebec
 ---> 710c59866c4c
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in accaf3948d08
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
Removing intermediate container accaf3948d08
 ---> 0549b73628ec
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in eb64d059c036
Removing intermediate container eb64d059c036
 ---> d7245daacf8e
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 101d65e373f4
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in e7045cb807c4
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container e7045cb807c4
 ---> 2eff03f4d567
Step 9/9 : CMD [ "python" ]
 ---> Running in dc30bbe11b5b
Removing intermediate container dc30bbe11b5b
 ---> de00367e6c7a
Successfully built de00367e6c7a
Successfully tagged cdk-98d9a14623acfd3f82bf21bd47fe4491e39182c106b19c7fa953ecdacfdfc72b:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/4 : CMD [ "python" ]
 ---> Running in b8955585029f
Removing intermediate container b8955585029f
 ---> b9fde4fbc4b4
Successfully built b9fde4fbc4b4
Successfully tagged cdk-f242b4b8ffbf344eac8c07ee38be37064e18e7762257cd4c8f42aa7f0c07b747:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b9fde4fbc4b4
Successfully built b9fde4fbc4b4
Successfully tagged cdk-35431f16737711f94e582ae8e487069e979109c7e3de9ae30feb469be93a0d56:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 710c59866c4c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0549b73628ec
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d7245daacf8e
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 101d65e373f4
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 2eff03f4d567
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> de00367e6c7a
Successfully built de00367e6c7a
Successfully tagged cdk-87169937313454fc8eddb2d430b550cc30fcd01279415b107da968c2ea071eda:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 710c59866c4c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0549b73628ec
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d7245daacf8e
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 2c4ca56cb7d5
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 77f5c78fb220
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 77f5c78fb220
 ---> e950438aa821
Step 9/9 : CMD [ "python" ]
 ---> Running in 3a4e4a8a2bc6
Removing intermediate container 3a4e4a8a2bc6
 ---> 0c473d0f82eb
Successfully built 0c473d0f82eb
Successfully tagged cdk-b7ce6b38c0e29bf7e16019561e578f578b1fd963de062b066dd4172f0a460fb5:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b9fde4fbc4b4
Successfully built b9fde4fbc4b4
Successfully tagged cdk-892e906ba423925b6802e2997b494094a5b5fc59b189a48e385a1f1714007f3b:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 710c59866c4c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0549b73628ec
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d7245daacf8e
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> cd4ba76b3159
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 5f7a8ef244d2
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 5f7a8ef244d2
 ---> 78eddefad7b2
Step 9/9 : CMD [ "python" ]
 ---> Running in 944101b44c4a
Removing intermediate container 944101b44c4a
 ---> a93e1409c84c
Successfully built a93e1409c84c
Successfully tagged cdk-64ea483534fa59db48b8057d82b0292ca10ce1ea83a436f127845e9e7ce644fd:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 710c59866c4c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0549b73628ec
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> d7245daacf8e
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> cd4ba76b3159
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 78eddefad7b2
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> a93e1409c84c
Successfully built a93e1409c84c
Successfully tagged cdk-ac81252b577b85d56797e36ac8959ecbb1790f93c6b42f2a3fc3afa31fb11da7:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b9fde4fbc4b4
Successfully built b9fde4fbc4b4
Successfully tagged cdk-9f33c0521a0df01b5f58bd095a0926847ccd4c3a8dd5f00e7dbe12e8256c2cf8:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b9fde4fbc4b4
Successfully built b9fde4fbc4b4
Successfully tagged cdk-f90dcb59f42f29de3ce59455ea88d1018de8a8dd3dab96080cffa1ef2227f21a:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b9fde4fbc4b4
Successfully built b9fde4fbc4b4
Successfully tagged cdk-c6ee48dc78570b7710e6108dcc2246afbcce41f0a9f570f5c9216a387dd984d0:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ae1be809c836
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b9fde4fbc4b4
Successfully built b9fde4fbc4b4
Successfully tagged cdk-427dbb6ca17789dc4ee177eaca88ede43a12b46f08867c3927ce2f4ab6317521:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
aa2600186ba7: Waiting
bda252cb9560: Waiting
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
b1474f040e45: Verifying Checksum
b1474f040e45: Download complete
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
b1474f040e45: Pull complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
aa2600186ba7: Verifying Checksum
aa2600186ba7: Download complete
371454ab62e9: Pull complete
f642075bffd9: Pull complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in a07e170b72ac
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.38s
Removing intermediate container a07e170b72ac
 ---> 44f7995367dd
Step 4/12 : RUN npm install --global pnpm
 ---> Running in a9958b9b7cbe
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 1.235s
Removing intermediate container a9958b9b7cbe
 ---> b9ade03387c6
Step 5/12 : RUN npm install --global typescript
 ---> Running in 197c796fa0db
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.738s
Removing intermediate container 197c796fa0db
 ---> bb7182c45fa8
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 16b1a1eedcb3
Removing intermediate container 16b1a1eedcb3
 ---> 62fe8899212a
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 4442ff279098
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.902s
Removing intermediate container 4442ff279098
 ---> 17577aa0a9cf
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 52d517288166
Removing intermediate container 52d517288166
 ---> f0f283200cb1
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 17f9f24302ea
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container 17f9f24302ea
 ---> c842be5d25fb
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 6f15ac6e2f1a
Removing intermediate container 6f15ac6e2f1a
 ---> f7b693e8f569
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in b6817fa97456
Removing intermediate container b6817fa97456
 ---> efc3a9a0ac60
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 845a5f360ca2
Removing intermediate container 845a5f360ca2
 ---> 50960ea481e1
Successfully built 50960ea481e1
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 7ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 44f7995367dd
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> b9ade03387c6
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> bb7182c45fa8
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 62fe8899212a
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 17577aa0a9cf
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> f0f283200cb1
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> c842be5d25fb
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> f7b693e8f569
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> efc3a9a0ac60
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 50960ea481e1
Successfully built 50960ea481e1
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A7cda4d41a9e6ef6671162fed713ab332 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A7cda4d41a9e6ef6671162fed713ab332

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 11 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency jest to v27.4.6

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
c129e80630d1: Waiting
e7c7342db6c7: Waiting
6b438a8ca379: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
de78ea6ed888: Waiting
56f371314bc8: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
1533ccbbac79: Pull complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in e512a9cc279f
Removing intermediate container e512a9cc279f
 ---> 5eb20a840979
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 5f2da3bd22f3
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 5f2da3bd22f3
 ---> f2acdd34658c
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in fe5270683671
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
Removing intermediate container fe5270683671
 ---> 8d366dcbe2d0
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in adf2c6d46dcc
Removing intermediate container adf2c6d46dcc
 ---> ebef6900be84
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 41d69ed1c971
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 96dad418afdd
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 96dad418afdd
 ---> c53bcb373658
Step 9/9 : CMD [ "python" ]
 ---> Running in b59b015dfda1
Removing intermediate container b59b015dfda1
 ---> cd88cab651cd
Successfully built cd88cab651cd
Successfully tagged cdk-30a11392774b16ad04792e582c7d8178cfe9e1c143239cf8bc7e388132386de4:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/4 : CMD [ "python" ]
 ---> Running in 460f79ddad3c
Removing intermediate container 460f79ddad3c
 ---> 3ea64b7d6359
Successfully built 3ea64b7d6359
Successfully tagged cdk-8d587140caf062716b799b5a7a8f9101336c472ef6c3c1149622645d8199295c:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 3ea64b7d6359
Successfully built 3ea64b7d6359
Successfully tagged cdk-d34a8fd11f84f7c8ffe43bb38b5c10394e1ff8c5d75becd330d4d6f089392473:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> f2acdd34658c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8d366dcbe2d0
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> ebef6900be84
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 41d69ed1c971
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> c53bcb373658
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> cd88cab651cd
Successfully built cd88cab651cd
Successfully tagged cdk-94938645d62d6e6280b9598e68c7166cb4188a4781140c41795ed8c048f24a17:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> f2acdd34658c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8d366dcbe2d0
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> ebef6900be84
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> b2f16399e0ee
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 65ed039a9c25
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 65ed039a9c25
 ---> 2aeeaf95a7c5
Step 9/9 : CMD [ "python" ]
 ---> Running in 097fa002c110
Removing intermediate container 097fa002c110
 ---> 256fe431856d
Successfully built 256fe431856d
Successfully tagged cdk-0b27ab0e9d2df654b197365c594bc6e3f468637b735146cce3f5e14083b34450:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 3ea64b7d6359
Successfully built 3ea64b7d6359
Successfully tagged cdk-1ae722b9429486c95db80575a8668a8af770ffadfc5aa115ee9e4eb23cbdc1a8:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> f2acdd34658c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8d366dcbe2d0
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> ebef6900be84
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 3a788fb78133
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in cc83ea5882b1
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container cc83ea5882b1
 ---> 309824af1037
Step 9/9 : CMD [ "python" ]
 ---> Running in 784e1b7e5b59
Removing intermediate container 784e1b7e5b59
 ---> 84fcbf91c906
Successfully built 84fcbf91c906
Successfully tagged cdk-0b5757fcae503ae26ae5c40e51757eed94dd8450825e742b500851cf8e313af0:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> f2acdd34658c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8d366dcbe2d0
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> ebef6900be84
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 3a788fb78133
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 309824af1037
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 84fcbf91c906
Successfully built 84fcbf91c906
Successfully tagged cdk-672f5cb9c72f9e9223b2e45f9a08e8ea27b380027a399f9160b7f023136831e3:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 3ea64b7d6359
Successfully built 3ea64b7d6359
Successfully tagged cdk-9875a0daf95ee4733acf344b8d33bd39578b9f8f51e8c116836c74f1a10cec7c:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 3ea64b7d6359
Successfully built 3ea64b7d6359
Successfully tagged cdk-8d859921aa1d6b1688135df9287fbd3b21217adf3cca18c1cc1c077b67ec9fef:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 3ea64b7d6359
Successfully built 3ea64b7d6359
Successfully tagged cdk-20c001dcc4c5bdb0737215e28b2c7dc55f6257f552b1edd05e036aeaa302bd9b:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 5eb20a840979
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 3ea64b7d6359
Successfully built 3ea64b7d6359
Successfully tagged cdk-36cccb66b15c9e127337cfc6aa040aa22039abb0f66b7f2dc10f8a1aecb31977:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
aa2600186ba7: Waiting
bda252cb9560: Waiting
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
b1474f040e45: Verifying Checksum
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
b1474f040e45: Pull complete
371454ab62e9: Download complete
bda252cb9560: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
371454ab62e9: Pull complete
aa2600186ba7: Verifying Checksum
aa2600186ba7: Download complete
f642075bffd9: Pull complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in 5a0234d50d29
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.409s
Removing intermediate container 5a0234d50d29
 ---> d00e1fce841d
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 9bf25eb110c4
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 1.091s
Removing intermediate container 9bf25eb110c4
 ---> 1c13146f71b0
Step 5/12 : RUN npm install --global typescript
 ---> Running in 65661d4feb8d
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.638s
Removing intermediate container 65661d4feb8d
 ---> c68ba0e4a9b5
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 53b96da66419
Removing intermediate container 53b96da66419
 ---> 288f4e6e920c
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 534aa9c14e88
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.73s
Removing intermediate container 534aa9c14e88
 ---> 7ef5987bd4cc
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in bbf79188bd71
Removing intermediate container bbf79188bd71
 ---> 49b9e7219e35
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 4ace8f1ba404
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.04s.
Removing intermediate container 4ace8f1ba404
 ---> 6c3776df900c
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 445b168c99ba
Removing intermediate container 445b168c99ba
 ---> b6b5bc7bc375
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 2e020c2acf71
Removing intermediate container 2e020c2acf71
 ---> 03a9e6db9fa0
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 1e569a564006
Removing intermediate container 1e569a564006
 ---> b6cc7323b7c3
Successfully built b6cc7323b7c3
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> d00e1fce841d
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 1c13146f71b0
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> c68ba0e4a9b5
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 288f4e6e920c
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 7ef5987bd4cc
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> 49b9e7219e35
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> 6c3776df900c
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> b6b5bc7bc375
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 03a9e6db9fa0
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> b6cc7323b7c3
Successfully built b6cc7323b7c3
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 5ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8Adb6103a5d8ddbf9abc38c8bde62d0ea1 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8Adb6103a5d8ddbf9abc38c8bde62d0ea1

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 12 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency @types/node to v16.11.19

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
56f371314bc8: Waiting
e7c7342db6c7: Waiting
c129e80630d1: Waiting
6b438a8ca379: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
de78ea6ed888: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
1533ccbbac79: Pull complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in c987c6a06d19
Removing intermediate container c987c6a06d19
 ---> ec9a1d751d35
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 1deb14c61802
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 1deb14c61802
 ---> ef9514e9c63e
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 03ea82ea3650
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.10 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 03ea82ea3650
 ---> 0f8f8e8830ea
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 3e4745d177e3
Removing intermediate container 3e4745d177e3
 ---> 287f283f7325
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 7fb85c57ad87
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 6f0a480d06a8
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 6f0a480d06a8
 ---> 526a412d21c8
Step 9/9 : CMD [ "python" ]
 ---> Running in 5e2ad00fee02
Removing intermediate container 5e2ad00fee02
 ---> 81836ffac8ce
Successfully built 81836ffac8ce
Successfully tagged cdk-9f2d7264bb2de54c5d0d5ddf2f62b89043a61ba8a7d2d5f258ceebd19a8c4ef5:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/4 : CMD [ "python" ]
 ---> Running in 2d1cef883f8f
Removing intermediate container 2d1cef883f8f
 ---> 8cb4c04de652
Successfully built 8cb4c04de652
Successfully tagged cdk-7f557e645544b56e391de433b0066ac218cfba5f8446ef99110485d52631b107:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8cb4c04de652
Successfully built 8cb4c04de652
Successfully tagged cdk-d96029bef65fe8262c0a286c55b176425c5be965a8668093ac5c6c74a4c19dec:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ef9514e9c63e
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0f8f8e8830ea
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 287f283f7325
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 7fb85c57ad87
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 526a412d21c8
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 81836ffac8ce
Successfully built 81836ffac8ce
Successfully tagged cdk-18fe874401300b5b049b13a7bbc39a43434bdba88785ada70bd597a42cf3acd0:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ef9514e9c63e
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0f8f8e8830ea
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 287f283f7325
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> d1212d5e5465
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in b40d43155409
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.10 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container b40d43155409
 ---> 5d14a1ac62bb
Step 9/9 : CMD [ "python" ]
 ---> Running in 5e7ee1a0bbad
Removing intermediate container 5e7ee1a0bbad
 ---> 65f43a4990fc
Successfully built 65f43a4990fc
Successfully tagged cdk-2717eaf6347eedc25f33911e7e74ad4aa310b7e219cd64c3b7ff92eb3ec9307a:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8cb4c04de652
Successfully built 8cb4c04de652
Successfully tagged cdk-38501ee8ca7562dd77eaa0e0bc80e7361e137774aae2a9bea4509453da3634ea:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ef9514e9c63e
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0f8f8e8830ea
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 287f283f7325
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 8739b746bd77
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 07f7d26e0153
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.10-py3-none-any.whl (39 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.10 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 07f7d26e0153
 ---> 9106f7e808d5
Step 9/9 : CMD [ "python" ]
 ---> Running in fdcb12942589
Removing intermediate container fdcb12942589
 ---> 543cc3ab1aca
Successfully built 543cc3ab1aca
Successfully tagged cdk-6041e72e79ee0e3e2f82e9bc13f49704994e76cb0aaa724b27e314e0b3e08fba:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ef9514e9c63e
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0f8f8e8830ea
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 287f283f7325
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 8739b746bd77
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 9106f7e808d5
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 543cc3ab1aca
Successfully built 543cc3ab1aca
Successfully tagged cdk-dd7aa64e249c85e9f813eef24d07ce4e0af9e9d8a65d13edda12c84b4c2385ed:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8cb4c04de652
Successfully built 8cb4c04de652
Successfully tagged cdk-eef6ef63996bd5e9d0b2d9d476a30a2e1e91e1178f96825a3613d5311aadc141:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8cb4c04de652
Successfully built 8cb4c04de652
Successfully tagged cdk-74a71dfcb521fbdeece5b17fa92b7cde30a868e9cb39d30622d3c0009c8716bb:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8cb4c04de652
Successfully built 8cb4c04de652
Successfully tagged cdk-667beabd83da026ae0d128501c7b1747d3c4f08a5d99ede7b81e8e77e9de7caf:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec9a1d751d35
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 8cb4c04de652
Successfully built 8cb4c04de652
Successfully tagged cdk-0a6b1af3d9298f80e4aad09de1ba952571244e38d5540fb7a7d9b01d6919f092:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
aa2600186ba7: Waiting
bda252cb9560: Waiting
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
b1474f040e45: Verifying Checksum
b1474f040e45: Download complete
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
b1474f040e45: Pull complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
371454ab62e9: Pull complete
f642075bffd9: Pull complete
aa2600186ba7: Download complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in f46be33c7ff9
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.349s
Removing intermediate container f46be33c7ff9
 ---> 50c0b03190fb
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 7a1d62222a3f
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 0.928s
Removing intermediate container 7a1d62222a3f
 ---> 83ae3a770c8b
Step 5/12 : RUN npm install --global typescript
 ---> Running in 1cde9b4081a0
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.446s
Removing intermediate container 1cde9b4081a0
 ---> b9a3805cb661
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 080f79504688
Removing intermediate container 080f79504688
 ---> 9f7c479af2e4
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 6bf031d9ce3b
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.339s
Removing intermediate container 6bf031d9ce3b
 ---> 1c2695236cc9
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 916987e07d3c
Removing intermediate container 916987e07d3c
 ---> ad2f6129c929
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 76b0bb6aac42
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container 76b0bb6aac42
 ---> 7ac1a1657b5f
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in e28a5b619d7a
Removing intermediate container e28a5b619d7a
 ---> d625868721ff
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in fc5582d0389b
Removing intermediate container fc5582d0389b
 ---> e2d9887995bd
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 18f5e32eb57c
Removing intermediate container 18f5e32eb57c
 ---> fd44e243edd9
Successfully built fd44e243edd9
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 50c0b03190fb
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 83ae3a770c8b
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> b9a3805cb661
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 9f7c479af2e4
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 1c2695236cc9
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> ad2f6129c929
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> 7ac1a1657b5f
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> d625868721ff
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> e2d9887995bd
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> fd44e243edd9
Successfully built fd44e243edd9
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8Abfc377cd79e32ad6ee35ee03376e60b4 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8Abfc377cd79e32ad6ee35ee03376e60b4

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 12 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo to v2 (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
c129e80630d1: Waiting
e7c7342db6c7: Waiting
6b438a8ca379: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
de78ea6ed888: Waiting
56f371314bc8: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
1533ccbbac79: Pull complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in 12778c21039e
Removing intermediate container 12778c21039e
 ---> ec987fcad0dc
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 4190ccdf4c65
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 4190ccdf4c65
 ---> ffb7f9311104
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 3c9d20dab0dd
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.9 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.27.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
Removing intermediate container 3c9d20dab0dd
 ---> 0218a02597e1
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 72494bb4075c
Removing intermediate container 72494bb4075c
 ---> 8b61cbbdd441
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> a9d8230fc6e3
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 6c232787e3c3
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 6c232787e3c3
 ---> 68d434ecc832
Step 9/9 : CMD [ "python" ]
 ---> Running in 5b1087af3159
Removing intermediate container 5b1087af3159
 ---> 40f94cc2b0ed
Successfully built 40f94cc2b0ed
Successfully tagged cdk-e58e8e42128e00ff8d9f5776fe7b1432930fad0e88c8ca4baef07e8b338bcf95:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/4 : CMD [ "python" ]
 ---> Running in f00820afed3c
Removing intermediate container f00820afed3c
 ---> 48b27e1c8f2f
Successfully built 48b27e1c8f2f
Successfully tagged cdk-fe6d8fbf4e76ac42a9c52336c03b8ae4bf907115ed0052de86fc0329fac9d11c:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 48b27e1c8f2f
Successfully built 48b27e1c8f2f
Successfully tagged cdk-070c38095457d5654cd80c4b634f0c39eb66fecb4262fd69bafda671bb7ea1c3:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ffb7f9311104
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0218a02597e1
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 8b61cbbdd441
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> a9d8230fc6e3
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 68d434ecc832
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 40f94cc2b0ed
Successfully built 40f94cc2b0ed
Successfully tagged cdk-70c6d5050d51a5b521acd56ee91ab28090e2052414c1abe558757155a378b31f:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ffb7f9311104
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0218a02597e1
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 8b61cbbdd441
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 92987ad40ebf
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 5f0c0023fe96
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.9 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 5f0c0023fe96
 ---> d096002e8287
Step 9/9 : CMD [ "python" ]
 ---> Running in f417a0732f3b
Removing intermediate container f417a0732f3b
 ---> b4b435d0a0f3
Successfully built b4b435d0a0f3
Successfully tagged cdk-ced7ec0ba97df093b0a63b9251e537eed0d7a533c7b107b2f8bd0058596948a2:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 48b27e1c8f2f
Successfully built 48b27e1c8f2f
Successfully tagged cdk-7a97995eeda7b55371bb27d31f319b68dfdf175fdae1965ffb2469ae71049780:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ffb7f9311104
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0218a02597e1
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 8b61cbbdd441
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 16cfb5d481f1
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in c5486fb8cdc4
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.27.0-py2.py3-none-any.whl (63 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.9 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.27.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container c5486fb8cdc4
 ---> a93b5ce4ac43
Step 9/9 : CMD [ "python" ]
 ---> Running in c7097ea7fb8f
Removing intermediate container c7097ea7fb8f
 ---> 77f850c8e818
Successfully built 77f850c8e818
Successfully tagged cdk-170750f06c0bb44dbc68db815590033aed9570774d76ce61125a013283b051ce:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> ffb7f9311104
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 0218a02597e1
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 8b61cbbdd441
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 16cfb5d481f1
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> a93b5ce4ac43
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 77f850c8e818
Successfully built 77f850c8e818
Successfully tagged cdk-d3bb9a68e1355bdd3a352676d3d390644cc3c958ec0fd711ef315a9a3531a26b:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 48b27e1c8f2f
Successfully built 48b27e1c8f2f
Successfully tagged cdk-a4765728d80a874d7c64bddd511b3d4cfb4b53791fb943a07fc0e3ff5ce7f435:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 48b27e1c8f2f
Successfully built 48b27e1c8f2f
Successfully tagged cdk-3498ec4dbed3e93225a9d151f0ff9b2132a08d0fcbf5db301e17e40b7629d264:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 48b27e1c8f2f
Successfully built 48b27e1c8f2f
Successfully tagged cdk-bd57e0e06ba50415ef2cd8163436d88a58be50c80e8f28bda871b7faeb423507:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> ec987fcad0dc
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 48b27e1c8f2f
Successfully built 48b27e1c8f2f
Successfully tagged cdk-168b16d96f9c9e434896b671ae25ec0052a8215db170bb6fcd049c8eb570f453:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
aa2600186ba7: Waiting
bda252cb9560: Waiting
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
b1474f040e45: Verifying Checksum
b1474f040e45: Download complete
b1474f040e45: Pull complete
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
24c751aeb65d: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
371454ab62e9: Pull complete
f642075bffd9: Pull complete
aa2600186ba7: Verifying Checksum
aa2600186ba7: Download complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in b54bf1aaabac
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.412s
Removing intermediate container b54bf1aaabac
 ---> 7d51f7c5b1ec
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 1952e18ad62d
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 1.215s
Removing intermediate container 1952e18ad62d
 ---> d725790ba5fb
Step 5/12 : RUN npm install --global typescript
 ---> Running in a5eb8e26733c
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.728s
Removing intermediate container a5eb8e26733c
 ---> 486bbe0f46f4
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in fe84ebdb2de8
Removing intermediate container fe84ebdb2de8
 ---> 237c492b2a67
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 5c60f4ed723d
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.955s
Removing intermediate container 5c60f4ed723d
 ---> ed7b38a20ba1
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 043a9a2bd20d
Removing intermediate container 043a9a2bd20d
 ---> 8145ed3c07da
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in f41d59476862
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.04s.
Removing intermediate container f41d59476862
 ---> e81186c9ed9d
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 30d3c1904947
Removing intermediate container 30d3c1904947
 ---> cb5f243ce002
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 3d7b68f898dd
Removing intermediate container 3d7b68f898dd
 ---> be63b10a8a11
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 6243c596253c
Removing intermediate container 6243c596253c
 ---> cc8c692f2ccb
Successfully built cc8c692f2ccb
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 7d51f7c5b1ec
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> d725790ba5fb
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 486bbe0f46f4
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 237c492b2a67
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> ed7b38a20ba1
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> 8145ed3c07da
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> e81186c9ed9d
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> cb5f243ce002
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> be63b10a8a11
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> cc8c692f2ccb
Successfully built cc8c692f2ccb
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A72ef3bd88cf352750da7614d3402fe86 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A72ef3bd88cf352750da7614d3402fe86

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 13 days

push eventwasedatime/wasedatime-backend

renovate[bot]

commit sha 79e91d57f277d78aa0e8ee2c37845293e04817b9

chore(deps): update dependency @types/node to v16.11.18 (#118) Co-authored-by: Renovate Bot <bot@renovateapp.com>

view details

push time in 13 days

PR merged wasedatime/wasedatime-backend

Reviewers
chore(deps): update dependency @types/node to v16.11.18

WhiteSource Renovate

This PR contains the following updates:

Package Change Age Adoption Passing Confidence
@types/node 16.11.16 -> 16.11.18 age adoption passing confidence

Configuration

📅 Schedule: At any time (no schedule defined).

🚦 Automerge: Disabled due to failing status checks.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] <!-- rebase-check -->If you want to rebase/retry this PR, click this checkbox.

This PR has been generated by WhiteSource Renovate. View repository job log here.

+27 -27

4 comments

2 changed files

renovate[bot]

pr closed time in 13 days

delete branch wasedatime/wasedatime-backend

delete branch : renovate/node-16.x

delete time in 13 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency @types/node to v16.11.18

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
c129e80630d1: Waiting
e7c7342db6c7: Waiting
6b438a8ca379: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
de78ea6ed888: Waiting
56f371314bc8: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
1533ccbbac79: Pull complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in 98274deb636e
Removing intermediate container 98274deb636e
 ---> 1ff81fdeecf0
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 0a9d029a210d
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 0a9d029a210d
 ---> 4c93d1776dc5
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 09b8ccf444a5
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting virtualenv
  Downloading virtualenv-20.13.0-py2.py3-none-any.whl (6.5 MB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.9 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.26.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.13.0 virtualenv-clone-0.5.7 webencodings-0.5.1
Removing intermediate container 09b8ccf444a5
 ---> 8e9840fdc419
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 13fff3fa8c70
Removing intermediate container 13fff3fa8c70
 ---> 294c22786131
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> c72a9965e52c
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 2dd863f76447
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 2dd863f76447
 ---> 1cb56016df7f
Step 9/9 : CMD [ "python" ]
 ---> Running in 889a36f47764
Removing intermediate container 889a36f47764
 ---> ad925ca3dfcf
Successfully built ad925ca3dfcf
Successfully tagged cdk-794711e02155c5906f134328fdcf61495a6fb75bdb6042da9586f598b7a874c3:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/4 : CMD [ "python" ]
 ---> Running in 9534b6199006
Removing intermediate container 9534b6199006
 ---> 38b7e5816a63
Successfully built 38b7e5816a63
Successfully tagged cdk-6f20e7f64c35f18da615eea69d8d590b7fa4680c8e588dbc21052d95f367579f:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 38b7e5816a63
Successfully built 38b7e5816a63
Successfully tagged cdk-79d445939907449e4517cd2cb5688fc14616de7c7beeb7f9d85007644e2856ce:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 4c93d1776dc5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8e9840fdc419
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 294c22786131
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> c72a9965e52c
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 1cb56016df7f
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> ad925ca3dfcf
Successfully built ad925ca3dfcf
Successfully tagged cdk-f2fb6382562b511458e991348621d2243e3bc6510b12e6ba9e6b41fee3e94db9:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 4c93d1776dc5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8e9840fdc419
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 294c22786131
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> a6549359f23f
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 68ab937fefdf
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.9 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 68ab937fefdf
 ---> 2ca589a750a7
Step 9/9 : CMD [ "python" ]
 ---> Running in f896867e2434
Removing intermediate container f896867e2434
 ---> cd6250f052ef
Successfully built cd6250f052ef
Successfully tagged cdk-56d58d60a45774c9bb8dfc096312cccb190fa71f1637275e2e0197cbe85e13a6:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 38b7e5816a63
Successfully built 38b7e5816a63
Successfully tagged cdk-a719cf113c97b6deb20ee4438418fd0218901e45847a62e600c778dfb7914127:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 4c93d1776dc5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8e9840fdc419
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 294c22786131
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> c919c493dea2
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in c01056ff81ae
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.9 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.26.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container c01056ff81ae
 ---> 067ceac9fe31
Step 9/9 : CMD [ "python" ]
 ---> Running in c6a800379faa
Removing intermediate container c6a800379faa
 ---> 9604fdbf2d56
Successfully built 9604fdbf2d56
Successfully tagged cdk-5b451694d586760d25aca2628f150d3367b7ae45b2c60a7a0617d2fa2015d0f3:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 4c93d1776dc5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 8e9840fdc419
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 294c22786131
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> c919c493dea2
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 067ceac9fe31
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 9604fdbf2d56
Successfully built 9604fdbf2d56
Successfully tagged cdk-8f3e3b2913c8d037e32c8fc8d4ba631bec82ef54485e4d53cbbb97ed52e0fda3:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 38b7e5816a63
Successfully built 38b7e5816a63
Successfully tagged cdk-d072e6613936b6081cca33ed28216e0ed553865c1db0f78d490b704d1ab2dfb4:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 38b7e5816a63
Successfully built 38b7e5816a63
Successfully tagged cdk-f4231ecbab921e2ec3943f9af4bd37259f5611aef64a02c8d39c0bc494d3f84f:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 38b7e5816a63
Successfully built 38b7e5816a63
Successfully tagged cdk-339347243b5639a1bd78785f6aab631c507bc4648b7952bc5a52e1893224d10d:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 1ff81fdeecf0
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 38b7e5816a63
Successfully built 38b7e5816a63
Successfully tagged cdk-43844bfae067dfa36a1d58e678a409d86e09994837b7c6beed0b0549d66a3c11:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
aa2600186ba7: Waiting
bda252cb9560: Waiting
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
b1474f040e45: Verifying Checksum
b1474f040e45: Download complete
b1474f040e45: Pull complete
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
371454ab62e9: Pull complete
aa2600186ba7: Verifying Checksum
aa2600186ba7: Download complete
f642075bffd9: Pull complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in ab615533a324
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.352s
Removing intermediate container ab615533a324
 ---> 24a527a1a3e3
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 8ad3a5af54d8
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 1.15s
Removing intermediate container 8ad3a5af54d8
 ---> 6c0022291167
Step 5/12 : RUN npm install --global typescript
 ---> Running in a759ac48a720
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.428s
Removing intermediate container a759ac48a720
 ---> 5dff2caa203e
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 68e3fbae0835
Removing intermediate container 68e3fbae0835
 ---> 72fb82dc5ff9
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in a939e7579a3d
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.453s
Removing intermediate container a939e7579a3d
 ---> 320d0770539f
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 814ed88bd140
Removing intermediate container 814ed88bd140
 ---> dbe6e971c447
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in a0efdfcb1fd0
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.02s.
Removing intermediate container a0efdfcb1fd0
 ---> 6e600f994bd3
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in c3db31d01b0e
Removing intermediate container c3db31d01b0e
 ---> 48734b91d0a9
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in e9ad0d154518
Removing intermediate container e9ad0d154518
 ---> 900477334687
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 9d952a4ef3bc
Removing intermediate container 9d952a4ef3bc
 ---> 694221b4a81e
Successfully built 694221b4a81e
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 24a527a1a3e3
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 6c0022291167
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 5dff2caa203e
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 72fb82dc5ff9
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 320d0770539f
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> dbe6e971c447
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> 6e600f994bd3
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> 48734b91d0a9
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 900477334687
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 694221b4a81e
Successfully built 694221b4a81e
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 2ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A0d914d80a9553eb107315bffb3f7d6d5 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A0d914d80a9553eb107315bffb3f7d6d5

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 13 days

issue openedDNXLabs/terraform-aws-client-vpn

Add option to enable self-service portal

Contact Details (optional)

No response

Summary

Option to enable self-service portal in Client VPN module, alongside with an output of the URL of the portal.

Motivation

Self-service portal is commonly enabled in the setup of a client VPN endpoint.

Alternatives

No response

Additional Context

No response

Code of Conduct

  • [X] I agree to follow this project's Code of Conduct

created time in 14 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update aws-cdk monorepo to v2 (major)

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
c129e80630d1: Waiting
e7c7342db6c7: Waiting
6b438a8ca379: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
de78ea6ed888: Waiting
56f371314bc8: Waiting
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
1533ccbbac79: Pull complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in a6bc5c0ee9c2
Removing intermediate container a6bc5c0ee9c2
 ---> 314088d65e14
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 1692ff55423b
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 1692ff55423b
 ---> 1ba57c37267c
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 1523121a9a6c
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting virtualenv
  Downloading virtualenv-20.12.1-py2.py3-none-any.whl (6.5 MB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.9 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.26.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.12.1 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 1523121a9a6c
 ---> ef9e38f289f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in ae74605e6fbc
Removing intermediate container ae74605e6fbc
 ---> 0bf704ce2ae8
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> fce329301715
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in ddcfa00ab982
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container ddcfa00ab982
 ---> 9b2b34a7a2f3
Step 9/9 : CMD [ "python" ]
 ---> Running in b18562cf4bf5
Removing intermediate container b18562cf4bf5
 ---> 5da3e0be035b
Successfully built 5da3e0be035b
Successfully tagged cdk-7710eacb0bf2602bc882f7f09dbd6de30f59a2a643657d472a48b82b424c9e7c:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/4 : CMD [ "python" ]
 ---> Running in 82863477d94a
Removing intermediate container 82863477d94a
 ---> 14e79919a2fe
Successfully built 14e79919a2fe
Successfully tagged cdk-0be85b0f7beb484cdfc28fe0b268bb9f9d5b626cd08970efb77d40a65d236d31:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 14e79919a2fe
Successfully built 14e79919a2fe
Successfully tagged cdk-19648b38e275ff26bbce694ac08b34fc6b3f103a42b8477d8f7112bbe0b1efa0:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 1ba57c37267c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ef9e38f289f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 0bf704ce2ae8
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> fce329301715
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 9b2b34a7a2f3
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 5da3e0be035b
Successfully built 5da3e0be035b
Successfully tagged cdk-6e35d4d387dfa197bf6040f0c57334c6e036115bfcccb2d9bf0549ebecec60b3:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 1ba57c37267c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ef9e38f289f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 0bf704ce2ae8
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> db81901b5450
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 77b36547ae91
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.9 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 77b36547ae91
 ---> 694ddaee0ddf
Step 9/9 : CMD [ "python" ]
 ---> Running in a6ba26725133
Removing intermediate container a6ba26725133
 ---> c83b81a20f2d
Successfully built c83b81a20f2d
Successfully tagged cdk-0d32f2911c7d4b88a228548b455be84571f92af78b4744f7ce672c5eb9e27962:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 14e79919a2fe
Successfully built 14e79919a2fe
Successfully tagged cdk-e47c13df5cdbc8c873f248a8c43fdb5f8208e54af896905829f7d716512e86a5:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 1ba57c37267c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ef9e38f289f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 0bf704ce2ae8
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 637d1fe687dd
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 2cd1be8cbd40
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.9 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.26.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 2cd1be8cbd40
 ---> 69f1f4d1b6c8
Step 9/9 : CMD [ "python" ]
 ---> Running in d8ed347d75be
Removing intermediate container d8ed347d75be
 ---> 21a5ba4ea194
Successfully built 21a5ba4ea194
Successfully tagged cdk-3255a0a9eb21d5697fffb620059129283bb53945c870e80cf7e91d40f56a8449:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 1ba57c37267c
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> ef9e38f289f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 0bf704ce2ae8
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 637d1fe687dd
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 69f1f4d1b6c8
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 21a5ba4ea194
Successfully built 21a5ba4ea194
Successfully tagged cdk-f807390d31933f1e706b40ae915151d85db47611c1ec07b32c04a9de70c95c4b:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 14e79919a2fe
Successfully built 14e79919a2fe
Successfully tagged cdk-498f11896687354db6ed302e96658e67b184e76e2802b0db46c524a3ec981218:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 14e79919a2fe
Successfully built 14e79919a2fe
Successfully tagged cdk-e884f5995d91646fa8b022efa24c5f3659df294f9ac683034b7e75d2ea8da319:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 14e79919a2fe
Successfully built 14e79919a2fe
Successfully tagged cdk-87645e740796e6fa04e7c6f4bef8df40b6da6d91dcd4dbb115532c08d85560b7:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 314088d65e14
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> 14e79919a2fe
Successfully built 14e79919a2fe
Successfully tagged cdk-9227b43ff8ab79aab63926ae7e86cd3bbee68e8f0e86f28abef3ad2f9c328491:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
aa2600186ba7: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
bda252cb9560: Waiting
7c34a5c08e6d: Waiting
b1474f040e45: Download complete
b1474f040e45: Pull complete
f642075bffd9: Download complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
371454ab62e9: Pull complete
f642075bffd9: Pull complete
aa2600186ba7: Verifying Checksum
aa2600186ba7: Download complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in 66c2fe483374
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.345s
Removing intermediate container 66c2fe483374
 ---> c5f097085d1f
Step 4/12 : RUN npm install --global pnpm
 ---> Running in bedeb159c571
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 0.998s
Removing intermediate container bedeb159c571
 ---> bb17d41d8c7e
Step 5/12 : RUN npm install --global typescript
 ---> Running in 8e2d37887c69
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.536s
Removing intermediate container 8e2d37887c69
 ---> 40da4ebd30fa
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in d7a595bbfa61
Removing intermediate container d7a595bbfa61
 ---> 9cac764df8a9
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 6241ce56cc78
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.633s
Removing intermediate container 6241ce56cc78
 ---> 709fd0836374
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 841a2b6d3dac
Removing intermediate container 841a2b6d3dac
 ---> ed9fd69d5414
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in c4107a5b7260
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container c4107a5b7260
 ---> f77d965cb083
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 58c36290fe01
Removing intermediate container 58c36290fe01
 ---> e11f562b2b38
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in db41b0e35af8
Removing intermediate container db41b0e35af8
 ---> 2ab098fc6419
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in b3d9f8483503
Removing intermediate container b3d9f8483503
 ---> cfa56ae80157
Successfully built cfa56ae80157
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> c5f097085d1f
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> bb17d41d8c7e
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 40da4ebd30fa
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 9cac764df8a9
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 709fd0836374
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> ed9fd69d5414
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> f77d965cb083
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> e11f562b2b38
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 2ab098fc6419
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> cfa56ae80157
Successfully built cfa56ae80157
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A536c4602a4925c23757b162c127ebec6 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A536c4602a4925c23757b162c127ebec6

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 15 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency @types/node to v16.11.17

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
c129e80630d1: Waiting
e7c7342db6c7: Waiting
6b438a8ca379: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
de78ea6ed888: Waiting
56f371314bc8: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
1533ccbbac79: Pull complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in 8617f4f3c1b5
Removing intermediate container 8617f4f3c1b5
 ---> cb8927168b42
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 35c0a264d54f
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 35c0a264d54f
 ---> e12d1703adb5
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in bfcb52a38bd6
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting virtualenv
  Downloading virtualenv-20.12.1-py2.py3-none-any.whl (6.5 MB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.9 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.26.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.12.1 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container bfcb52a38bd6
 ---> e3ff66e8b7d4
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in 5ac968256f81
Removing intermediate container 5ac968256f81
 ---> 21e12eda1135
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> a6991ce23bbc
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in ac06cd220801
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container ac06cd220801
 ---> f2dc59fa6125
Step 9/9 : CMD [ "python" ]
 ---> Running in ee8eafe2f0f2
Removing intermediate container ee8eafe2f0f2
 ---> 0fd2b26ea31c
Successfully built 0fd2b26ea31c
Successfully tagged cdk-160fda180e602f2328a623777d92ccd5d94f1f37d7d727919bdfb55ef136ef3f:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/4 : CMD [ "python" ]
 ---> Running in 5dd19ed9e9b8
Removing intermediate container 5dd19ed9e9b8
 ---> b86042dd1a43
Successfully built b86042dd1a43
Successfully tagged cdk-f4f725c12db5d20d9f40de9cf3d785b27cee169c65488f93972e950ed9968b7b:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b86042dd1a43
Successfully built b86042dd1a43
Successfully tagged cdk-1805d2c6d8e51085f966445485ad2c9dfead93537319f1e90673298c5abce87c:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> e12d1703adb5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> e3ff66e8b7d4
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 21e12eda1135
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> a6991ce23bbc
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> f2dc59fa6125
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 0fd2b26ea31c
Successfully built 0fd2b26ea31c
Successfully tagged cdk-ab5429b095cdafce47f71a1e48f109db6b26886f9d3984f095834eeff9450b3f:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> e12d1703adb5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> e3ff66e8b7d4
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 21e12eda1135
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> c95b09a86538
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 538f17fd96bb
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.9 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 538f17fd96bb
 ---> a54c50cd9807
Step 9/9 : CMD [ "python" ]
 ---> Running in 396ab2dcf3d2
Removing intermediate container 396ab2dcf3d2
 ---> 8c7c05fbd560
Successfully built 8c7c05fbd560
Successfully tagged cdk-e231930726f8961206102d511f9976fb05ddc7bb106db28694a58f0922a3d053:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b86042dd1a43
Successfully built b86042dd1a43
Successfully tagged cdk-2b4f1179cfbea6caf2f6094898e46e402d9d33ba53a9968d3d6b60d415dc9fd1:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> e12d1703adb5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> e3ff66e8b7d4
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 21e12eda1135
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 495f7667c7ab
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 860d8fbb32e8
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.9 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.26.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 860d8fbb32e8
 ---> 4dec5024e737
Step 9/9 : CMD [ "python" ]
 ---> Running in 2be2cf5d0022
Removing intermediate container 2be2cf5d0022
 ---> 9d971fcb31b9
Successfully built 9d971fcb31b9
Successfully tagged cdk-f9a4f48e149c2ee818a2f15133e2153324c35f1593c7650ffd2164d8db585980:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> e12d1703adb5
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> e3ff66e8b7d4
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 21e12eda1135
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 495f7667c7ab
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 4dec5024e737
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 9d971fcb31b9
Successfully built 9d971fcb31b9
Successfully tagged cdk-49cb12c7223d04cf5353a7e1b6d3b648781c71d45ffaee75edc4abcbca7b17c0:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b86042dd1a43
Successfully built b86042dd1a43
Successfully tagged cdk-8eeb380a43bb0e007dcccf14e3da5175fcc6573c2ab892d3996402efd69c396b:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b86042dd1a43
Successfully built b86042dd1a43
Successfully tagged cdk-42a0f078f54ccb4f5db3e3a728e3d2bc7dcdf0cdc444a688b365e63750dca7ec:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b86042dd1a43
Successfully built b86042dd1a43
Successfully tagged cdk-75c2888a7a94b9e00b9fd77a187a4c09638712f5d69f45b8f6fc0c32035be3a7:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> cb8927168b42
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> b86042dd1a43
Successfully built b86042dd1a43
Successfully tagged cdk-ec2e7b0b77b086ba39cd5195bc2742f7225b059ba6fbc88f87782f02b44c57a8:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
aa2600186ba7: Waiting
bda252cb9560: Waiting
b1474f040e45: Verifying Checksum
b1474f040e45: Download complete
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
b1474f040e45: Pull complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
aa2600186ba7: Verifying Checksum
aa2600186ba7: Download complete
371454ab62e9: Pull complete
f642075bffd9: Pull complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in b2c0b6e09de7
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.421s
Removing intermediate container b2c0b6e09de7
 ---> ce62d5b63571
Step 4/12 : RUN npm install --global pnpm
 ---> Running in feb89128952a
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 1.172s
Removing intermediate container feb89128952a
 ---> ae78d8b31c38
Step 5/12 : RUN npm install --global typescript
 ---> Running in 2106d4e5456b
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.749s
Removing intermediate container 2106d4e5456b
 ---> 2354f58464c2
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 10112d59305e
Removing intermediate container 10112d59305e
 ---> 1f3f06dcf268
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 38c2fdbe3f82
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 3.079s
Removing intermediate container 38c2fdbe3f82
 ---> 9928f6133ef6
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in 6e988561bd77
Removing intermediate container 6e988561bd77
 ---> 1e49834a515f
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 5f0c946a895e
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.04s.
Removing intermediate container 5f0c946a895e
 ---> b00916a11305
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in 08d791d67345
Removing intermediate container 08d791d67345
 ---> e40d2d1e09fb
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 875eae6c9288
Removing intermediate container 875eae6c9288
 ---> 43a87319c7ca
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 8da0a6bc735d
Removing intermediate container 8da0a6bc735d
 ---> a13265302268
Successfully built a13265302268
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 3ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> ce62d5b63571
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> ae78d8b31c38
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 2354f58464c2
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 1f3f06dcf268
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> 9928f6133ef6
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> 1e49834a515f
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> b00916a11305
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> e40d2d1e09fb
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 43a87319c7ca
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> a13265302268
Successfully built a13265302268
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 9ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8Aa8e3058c57f6c96b149a9a6ca36232ca 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8Aa8e3058c57f6c96b149a9a6ca36232ca

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 15 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency @types/node to v16.11.17

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
c129e80630d1: Waiting
a70354574cb3: Waiting
e7c7342db6c7: Waiting
6b438a8ca379: Waiting
0ab6aed22808: Waiting
de78ea6ed888: Waiting
56f371314bc8: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
1533ccbbac79: Pull complete
84c890849fdb: Pull complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in 61e83f0d3436
Removing intermediate container 61e83f0d3436
 ---> 25d83d95a93b
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 3e9d71cfd4ac
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 3e9d71cfd4ac
 ---> 9c3a72a75985
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 36f89b281aca
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Collecting virtualenv
  Downloading virtualenv-20.12.1-py2.py3-none-any.whl (6.5 MB)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.9 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.26.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.12.1 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 36f89b281aca
 ---> 3e829415f095
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in d4595bef6bed
Removing intermediate container d4595bef6bed
 ---> 79ff2b6408c4
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 8f198d962abc
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 24e915fb79f9
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 24e915fb79f9
 ---> 3cb74c556c32
Step 9/9 : CMD [ "python" ]
 ---> Running in 67acbbb90dfd
Removing intermediate container 67acbbb90dfd
 ---> 219d3ceb2208
Successfully built 219d3ceb2208
Successfully tagged cdk-018558ae5925fd7ce85d3a3877be06d3f14c277d67e4ebd75cf99512d50ab1cd:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/4 : CMD [ "python" ]
 ---> Running in 243ca5a4757f
Removing intermediate container 243ca5a4757f
 ---> f90581d31364
Successfully built f90581d31364
Successfully tagged cdk-22e717d75be7fdc53e6e8e6f7a9e7ef49b5bfa629854d620d18c2a582a611db5:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> f90581d31364
Successfully built f90581d31364
Successfully tagged cdk-eacc19699543b8b6923953215a182886f58fead636e0bcf9560ef8fd38aaff2d:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 9c3a72a75985
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 3e829415f095
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 79ff2b6408c4
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 8f198d962abc
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 3cb74c556c32
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 219d3ceb2208
Successfully built 219d3ceb2208
Successfully tagged cdk-b3c1934e15a8a719b32fe808e6984fdfa0ef0f6e327bdc9cf81be9be3ed38eb0:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 9c3a72a75985
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 3e829415f095
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 79ff2b6408c4
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 7b5eeefc780f
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 0a2cfecfc327
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.9 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 0a2cfecfc327
 ---> 86f323e8b3f5
Step 9/9 : CMD [ "python" ]
 ---> Running in c3b548d72d4c
Removing intermediate container c3b548d72d4c
 ---> b466873f73b0
Successfully built b466873f73b0
Successfully tagged cdk-3d53c30582c64693318aca78fa831978fffba44c7b56505f4ba24c0ff5fbe75b:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> f90581d31364
Successfully built f90581d31364
Successfully tagged cdk-98e28cea17ba618ded0ba6d38ae53dae97fd7933fff82af067c09bd63b6fd2f0:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 9c3a72a75985
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 3e829415f095
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 79ff2b6408c4
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 6fcf9d86dff8
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 6ee2691ab1f8
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.9 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.26.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 6ee2691ab1f8
 ---> 9d28215691d9
Step 9/9 : CMD [ "python" ]
 ---> Running in c7d8aa325ecc
Removing intermediate container c7d8aa325ecc
 ---> f4fd72820e67
Successfully built f4fd72820e67
Successfully tagged cdk-4b071dcbe35b3d641885eff91ef8b52de88ca078d4e899c8cf4c711ff8ef002b:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 9c3a72a75985
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> 3e829415f095
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> 79ff2b6408c4
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 6fcf9d86dff8
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 9d28215691d9
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> f4fd72820e67
Successfully built f4fd72820e67
Successfully tagged cdk-3bd678864618e5a8baa901d6ec1663244c626003a16fa9bc7222650c9b166ffb:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> f90581d31364
Successfully built f90581d31364
Successfully tagged cdk-68ab58c5780d350909dc10a64106ed8472b7ecee12e3c50b7ef234cd559a6e70:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> f90581d31364
Successfully built f90581d31364
Successfully tagged cdk-0227b3005b5be190254e56b209d461610ac526a84060b9ebc0388c45e5c38d56:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> f90581d31364
Successfully built f90581d31364
Successfully tagged cdk-d13e1a75df7fc7f07059fde045422961fa5b59c7931cd3191f2106ad1385be0e:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> 25d83d95a93b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> f90581d31364
Successfully built f90581d31364
Successfully tagged cdk-cfa424efad0edeb0430a1192ff6b257102dbf17536e1d259c2bf5186d219a0b4:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
aa2600186ba7: Waiting
bda252cb9560: Waiting
b1474f040e45: Verifying Checksum
b1474f040e45: Download complete
b1474f040e45: Pull complete
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
371454ab62e9: Pull complete
f642075bffd9: Pull complete
aa2600186ba7: Verifying Checksum
aa2600186ba7: Download complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in 4d264212477a
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.715s
Removing intermediate container 4d264212477a
 ---> f187855efa69
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 6169a2ccb698
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 1.016s
Removing intermediate container 6169a2ccb698
 ---> 2bf2d71e7554
Step 5/12 : RUN npm install --global typescript
 ---> Running in d4f30e083c2c
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.575s
Removing intermediate container d4f30e083c2c
 ---> c8e91f4129f5
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in 4c0128e95631
Removing intermediate container 4c0128e95631
 ---> f83ec10544b3
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 16f8175f1073
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.10 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.10: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.10: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.10: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.10: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.10: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.10: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.10: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.10: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.10: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.10: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.10: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.10: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.10: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.10: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.10 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.10: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.10: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.10 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.10: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.10
added 2 packages in 2.608s
Removing intermediate container 16f8175f1073
 ---> b81780f430ee
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in c7a6a48b4581
Removing intermediate container c7a6a48b4581
 ---> d8aa42034dcc
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 079b717be013
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.04s.
Removing intermediate container 079b717be013
 ---> 72d0af5051fb
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in fc49e090643d
Removing intermediate container fc49e090643d
 ---> f4a4ec02503e
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in 7787254597e3
Removing intermediate container 7787254597e3
 ---> f6b1ed81996d
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in fde4067121f4
Removing intermediate container fde4067121f4
 ---> 453274984803
Successfully built 453274984803
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 5ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> f187855efa69
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 2bf2d71e7554
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> c8e91f4129f5
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> f83ec10544b3
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> b81780f430ee
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> d8aa42034dcc
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> 72d0af5051fb
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> f4a4ec02503e
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> f6b1ed81996d
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 453274984803
Successfully built 453274984803
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 3ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8A6e535b738f66717f18e9cfc6e08c2ddd 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8A6e535b738f66717f18e9cfc6e08c2ddd

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 15 days

push eventwasedatime/wasedatime-backend

renovate[bot]

commit sha c33352119d2a99645474a274006bb4ebbc59fc0f

chore(deps): update actions/setup-node action to v2.5.1 (#119) Co-authored-by: Renovate Bot <bot@renovateapp.com>

view details

push time in 15 days

delete branch wasedatime/wasedatime-backend

delete branch : renovate/actions-setup-node-2.x

delete time in 15 days

PR merged wasedatime/wasedatime-backend

Reviewers
chore(deps): update actions/setup-node action to v2.5.1

WhiteSource Renovate

This PR contains the following updates:

Package Type Update Change
actions/setup-node action patch v2.5.0 -> v2.5.1

Release Notes

<details> <summary>actions/setup-node</summary>

v2.5.1

Compare Source

In scope of this release we fix logic of error handling related to caching (https://github.com/actions/setup-node/pull/358) and (https://github.com/actions/setup-node/pull/359).

In the previous behaviour we relied on stderr output to throw error. The warning messages from package managers can be written to the stderr's output. For now the action will throw an error only if exit code differs from zero. Besides, we add logic to сatch and log unhandled exceptions.

</details>


Configuration

📅 Schedule: At any time (no schedule defined).

🚦 Automerge: Disabled due to failing status checks.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] <!-- rebase-check -->If you want to rebase/retry this PR, click this checkbox.

This PR has been generated by WhiteSource Renovate. View repository job log here.

+4 -4

1 comment

3 changed files

renovate[bot]

pr closed time in 15 days

push eventwasedatime/wasedatime-backend

renovate[bot]

commit sha b7ea411b4de90aa22ac71abcffe21efb7daabbf6

chore(deps): update dependency @types/jest to v27.4.0 (#120) Co-authored-by: Renovate Bot <bot@renovateapp.com>

view details

push time in 15 days

delete branch wasedatime/wasedatime-backend

delete branch : renovate/jest-monorepo

delete time in 15 days

PR merged wasedatime/wasedatime-backend

Reviewers
chore(deps): update dependency @types/jest to v27.4.0

WhiteSource Renovate

This PR contains the following updates:

Package Change Age Adoption Passing Confidence
@types/jest 27.0.3 -> 27.4.0 age adoption passing confidence

Configuration

📅 Schedule: At any time (no schedule defined).

🚦 Automerge: Disabled due to failing status checks.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] <!-- rebase-check -->If you want to rebase/retry this PR, click this checkbox.

This PR has been generated by WhiteSource Renovate. View repository job log here.

+10 -40

1 comment

2 changed files

renovate[bot]

pr closed time in 15 days

fork AustinZhu/go-clean-arch

Go (Golang) Clean Architecture based on Reading Uncle Bob's Clean Architecture

fork in 15 days

pull request commentwasedatime/wasedatime-backend

chore(deps): update dependency @types/jest to v27.4.0

Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
latest: Pulling from sam/build-python3.9
1533ccbbac79: Pulling fs layer
84c890849fdb: Pulling fs layer
ff4373692e63: Pulling fs layer
c129e80630d1: Pulling fs layer
e7c7342db6c7: Pulling fs layer
6b438a8ca379: Pulling fs layer
a70354574cb3: Pulling fs layer
0ab6aed22808: Pulling fs layer
de78ea6ed888: Pulling fs layer
56f371314bc8: Pulling fs layer
6b438a8ca379: Waiting
a70354574cb3: Waiting
0ab6aed22808: Waiting
e7c7342db6c7: Waiting
de78ea6ed888: Waiting
c129e80630d1: Waiting
56f371314bc8: Waiting
84c890849fdb: Verifying Checksum
84c890849fdb: Download complete
c129e80630d1: Verifying Checksum
c129e80630d1: Download complete
ff4373692e63: Verifying Checksum
ff4373692e63: Download complete
6b438a8ca379: Verifying Checksum
6b438a8ca379: Download complete
1533ccbbac79: Verifying Checksum
1533ccbbac79: Download complete
0ab6aed22808: Verifying Checksum
0ab6aed22808: Download complete
de78ea6ed888: Verifying Checksum
de78ea6ed888: Download complete
56f371314bc8: Verifying Checksum
56f371314bc8: Download complete
a70354574cb3: Verifying Checksum
a70354574cb3: Download complete
1533ccbbac79: Pull complete
e7c7342db6c7: Verifying Checksum
e7c7342db6c7: Download complete
84c890849fdb: Pull complete
ff4373692e63: Pull complete
c129e80630d1: Pull complete
e7c7342db6c7: Pull complete
6b438a8ca379: Pull complete
a70354574cb3: Pull complete
0ab6aed22808: Pull complete
de78ea6ed888: Pull complete
56f371314bc8: Pull complete
Digest: sha256:76b6f14775a788937e15ce8080eaba204784c7387774add9adb64cb5aaa2f191
Status: Downloaded newer image for public.ecr.aws/sam/build-python3.9:latest
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Running in 1a12ce8eb2be
Removing intermediate container 1a12ce8eb2be
 ---> fa2cdda0c11b
Step 4/9 : RUN pip install --upgrade pip
 ---> Running in 180ee22e96f5
Requirement already satisfied: pip in /var/lang/lib/python3.9/site-packages (21.2.4)
Collecting pip
  Downloading pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 21.2.4
    Uninstalling pip-21.2.4:
      Successfully uninstalled pip-21.2.4
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 180ee22e96f5
 ---> 32caef11f733
Step 5/9 : RUN pip install pipenv poetry
 ---> Running in 1aef8f0603ba
Collecting pipenv
  Downloading pipenv-2021.11.23-py2.py3-none-any.whl (3.6 MB)
Collecting poetry
  Downloading poetry-1.1.12-py2.py3-none-any.whl (175 kB)
Collecting virtualenv
  Downloading virtualenv-20.11.2-py2.py3-none-any.whl (6.5 MB)
Collecting virtualenv-clone>=0.2.5
  Downloading virtualenv_clone-0.5.7-py3-none-any.whl (6.6 kB)
Requirement already satisfied: pip>=18.0 in /var/lang/lib/python3.9/site-packages (from pipenv) (21.3.1)
Requirement already satisfied: setuptools>=36.2.1 in /var/lang/lib/python3.9/site-packages (from pipenv) (58.1.0)
Collecting certifi
  Downloading certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting pkginfo<2.0,>=1.4
  Downloading pkginfo-1.8.2-py2.py3-none-any.whl (26 kB)
Collecting clikit<0.7.0,>=0.6.2
  Downloading clikit-0.6.2-py2.py3-none-any.whl (91 kB)
Collecting requests-toolbelt<0.10.0,>=0.9.1
  Downloading requests_toolbelt-0.9.1-py2.py3-none-any.whl (54 kB)
Collecting shellingham<2.0,>=1.1
  Downloading shellingham-1.4.0-py2.py3-none-any.whl (9.4 kB)
Collecting crashtest<0.4.0,>=0.3.0
  Downloading crashtest-0.3.1-py3-none-any.whl (7.0 kB)
Collecting tomlkit<1.0.0,>=0.7.0
  Downloading tomlkit-0.8.0-py3-none-any.whl (33 kB)
Collecting pexpect<5.0.0,>=4.7.0
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting cleo<0.9.0,>=0.8.1
  Downloading cleo-0.8.1-py2.py3-none-any.whl (21 kB)
Collecting poetry-core<1.1.0,>=1.0.7
  Downloading poetry_core-1.0.7-py2.py3-none-any.whl (424 kB)
Collecting cachecontrol[filecache]<0.13.0,>=0.12.9
  Downloading CacheControl-0.12.10-py2.py3-none-any.whl (20 kB)
Collecting keyring<22.0.0,>=21.2.0
  Downloading keyring-21.8.0-py3-none-any.whl (32 kB)
Collecting packaging<21.0,>=20.4
  Downloading packaging-20.9-py2.py3-none-any.whl (40 kB)
Collecting cachy<0.4.0,>=0.3.0
  Downloading cachy-0.3.0-py2.py3-none-any.whl (20 kB)
Collecting requests<3.0,>=2.18
  Downloading requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting html5lib<2.0,>=1.0
  Downloading html5lib-1.1-py2.py3-none-any.whl (112 kB)
Collecting msgpack>=0.5.2
  Downloading msgpack-1.0.3-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (322 kB)
Collecting lockfile>=0.9
  Downloading lockfile-0.12.2-py2.py3-none-any.whl (13 kB)
Collecting pylev<2.0,>=1.3
  Downloading pylev-1.4.0-py2.py3-none-any.whl (6.1 kB)
Collecting pastel<0.3.0,>=0.2.0
  Downloading pastel-0.2.1-py2.py3-none-any.whl (6.0 kB)
Collecting six>=1.9
  Downloading six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting webencodings
  Downloading webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting jeepney>=0.4.2
  Downloading jeepney-0.7.1-py3-none-any.whl (54 kB)
Collecting SecretStorage>=3.2
  Downloading SecretStorage-3.3.1-py3-none-any.whl (15 kB)
Collecting pyparsing>=2.0.2
  Downloading pyparsing-3.0.6-py3-none-any.whl (97 kB)
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting urllib3<1.27,>=1.21.1
  Downloading urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting charset-normalizer~=2.0.0
  Downloading charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5
  Downloading idna-3.3-py3-none-any.whl (61 kB)
Collecting distlib<1,>=0.3.1
  Downloading distlib-0.3.4-py2.py3-none-any.whl (461 kB)
Collecting platformdirs<3,>=2
  Downloading platformdirs-2.4.1-py3-none-any.whl (14 kB)
Collecting filelock<4,>=3.2
  Downloading filelock-3.4.2-py3-none-any.whl (9.9 kB)
Collecting cryptography>=2.0
  Downloading cryptography-36.0.1-cp36-abi3-manylinux_2_24_x86_64.whl (3.6 MB)
Collecting cffi>=1.12
  Downloading cffi-1.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (444 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Installing collected packages: pycparser, urllib3, idna, charset-normalizer, cffi, certifi, requests, pylev, pastel, msgpack, jeepney, cryptography, crashtest, webencodings, six, SecretStorage, pyparsing, ptyprocess, platformdirs, lockfile, filelock, distlib, clikit, cachecontrol, virtualenv-clone, virtualenv, tomlkit, shellingham, requests-toolbelt, poetry-core, pkginfo, pexpect, packaging, keyring, html5lib, cleo, cachy, poetry, pipenv
Successfully installed SecretStorage-3.3.1 cachecontrol-0.12.10 cachy-0.3.0 certifi-2021.10.8 cffi-1.15.0 charset-normalizer-2.0.9 cleo-0.8.1 clikit-0.6.2 crashtest-0.3.1 cryptography-36.0.1 distlib-0.3.4 filelock-3.4.2 html5lib-1.1 idna-3.3 jeepney-0.7.1 keyring-21.8.0 lockfile-0.12.2 msgpack-1.0.3 packaging-20.9 pastel-0.2.1 pexpect-4.8.0 pipenv-2021.11.23 pkginfo-1.8.2 platformdirs-2.4.1 poetry-1.1.12 poetry-core-1.0.7 ptyprocess-0.7.0 pycparser-2.21 pylev-1.4.0 pyparsing-3.0.6 requests-2.26.0 requests-toolbelt-0.9.1 shellingham-1.4.0 six-1.16.0 tomlkit-0.8.0 urllib3-1.26.7 virtualenv-20.11.2 virtualenv-clone-0.5.7 webencodings-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 1aef8f0603ba
 ---> da5533ddf1f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Running in b6725a32859b
Removing intermediate container b6725a32859b
 ---> be5e8698d657
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> 0d586f8ac043
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in e512725524df
Collecting lxml
  Downloading lxml-4.7.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml
Successfully installed lxml-4.7.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container e512725524df
 ---> 61978ab1a305
Step 9/9 : CMD [ "python" ]
 ---> Running in ebf857a6c711
Removing intermediate container ebf857a6c711
 ---> ce557664e009
Successfully built ce557664e009
Successfully tagged cdk-58c5f76b37f88c3fbb9d2821cbbb87731acb8bbc500f809cf1395679470998d1:latest
Bundling asset persistence/syllabus-datapipeline/scraper-base-function/base-function/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/4 : CMD [ "python" ]
 ---> Running in 468763ebfb8b
Removing intermediate container 468763ebfb8b
 ---> fe02853743d2
Successfully built fe02853743d2
Successfully tagged cdk-370e9720dc7b95d5cfb871ceb25ae50ef7f796f64c077477313238cbdc82797d:latest
Bundling asset persistence/syllabus-sync/syllabus-update-function/update-syllabus/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> fe02853743d2
Successfully built fe02853743d2
Successfully tagged cdk-e7fba1091c3639925ab9bce03302cda9c99b5ea1c31b9933bf9641b8675b503c:latest
Bundling asset business/cognito-endpoint/presign-up-handle/base-function/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 32caef11f733
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> da5533ddf1f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> be5e8698d657
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> 0d586f8ac043
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 61978ab1a305
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> ce557664e009
Successfully built ce557664e009
Successfully tagged cdk-bf6d3c3aad317ee6993650ca551e33edc85f2a3d65e1f2b8cd39f66115e3fb3d:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/get-course/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 32caef11f733
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> da5533ddf1f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> be5e8698d657
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> ddbc7241ce9d
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 6ec2fd37a0d5
Collecting aiohttp
  Downloading aiohttp-3.8.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.2 MB)
Collecting frozenlist>=1.1.1
  Downloading frozenlist-1.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (203 kB)
Collecting aiosignal>=1.1.2
  Downloading aiosignal-1.2.0-py3-none-any.whl (8.2 kB)
Collecting yarl<2.0,>=1.0
  Downloading yarl-1.7.2-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (304 kB)
Collecting charset-normalizer<3.0,>=2.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting async-timeout<5.0,>=4.0.0a3
  Downloading async_timeout-4.0.2-py3-none-any.whl (5.8 kB)
Collecting multidict<7.0,>=4.5
  Downloading multidict-5.2.0-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (174 kB)
Collecting attrs>=17.3.0
  Downloading attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting idna>=2.0
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Installing collected packages: multidict, idna, frozenlist, yarl, charset-normalizer, attrs, async-timeout, aiosignal, aiohttp
Successfully installed aiohttp-3.8.1 aiosignal-1.2.0 async-timeout-4.0.2 attrs-21.4.0 charset-normalizer-2.0.9 frozenlist-1.2.0 idna-3.3 multidict-5.2.0 yarl-1.7.2
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 6ec2fd37a0d5
 ---> 655ca75b0ae9
Step 9/9 : CMD [ "python" ]
 ---> Running in f0c283fe65a3
Removing intermediate container f0c283fe65a3
 ---> c89fa6f6d5ec
Successfully built c89fa6f6d5ec
Successfully tagged cdk-1d64fd0b0885c993edc960ef463c3db4b2bca0c60b1df501d397c2312ffba067:latest
Bundling asset business/rest-api-endpoint/syllabus-api/syllabus-function/post-book/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> fe02853743d2
Successfully built fe02853743d2
Successfully tagged cdk-dbee80613f62c51cc5228e00b8d5488c0aef94e9360d4d3c5327eea119f636bb:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/get-reviews/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 32caef11f733
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> da5533ddf1f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> be5e8698d657
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> e58cf7309ab8
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Running in 096a44a5529d
Collecting google-cloud-translate
  Downloading google_cloud_translate-3.6.1-py2.py3-none-any.whl (111 kB)
Collecting proto-plus>=0.4.0
  Downloading proto_plus-1.19.8-py3-none-any.whl (45 kB)
Collecting google-cloud-core<3.0.0dev,>=1.3.0
  Downloading google_cloud_core-2.2.1-py2.py3-none-any.whl (29 kB)
Collecting google-api-core[grpc]<3.0.0dev,>=1.28.0
  Downloading google_api_core-2.3.2-py2.py3-none-any.whl (109 kB)
Collecting requests<3.0.0dev,>=2.18.0
  Using cached requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting setuptools>=40.3.0
  Downloading setuptools-60.2.0-py3-none-any.whl (953 kB)
Collecting google-auth<3.0dev,>=1.25.0
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
Collecting protobuf>=3.12.0
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
Collecting googleapis-common-protos<2.0dev,>=1.52.0
  Downloading googleapis_common_protos-1.54.0-py2.py3-none-any.whl (207 kB)
Collecting grpcio-status<2.0dev,>=1.33.2
  Downloading grpcio_status-1.43.0-py3-none-any.whl (10.0 kB)
Collecting grpcio<2.0dev,>=1.33.2
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting six>=1.9.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting charset-normalizer~=2.0.0
  Using cached charset_normalizer-2.0.9-py3-none-any.whl (39 kB)
Collecting urllib3<1.27,>=1.21.1
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting idna<4,>=2.5
  Using cached idna-3.3-py3-none-any.whl (61 kB)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Installing collected packages: pyasn1, urllib3, six, setuptools, rsa, pyasn1-modules, protobuf, idna, charset-normalizer, certifi, cachetools, requests, grpcio, googleapis-common-protos, google-auth, grpcio-status, google-api-core, proto-plus, google-cloud-core, google-cloud-translate
Successfully installed cachetools-4.2.4 certifi-2021.10.8 charset-normalizer-2.0.9 google-api-core-2.3.2 google-auth-2.3.3 google-cloud-core-2.2.1 google-cloud-translate-3.6.1 googleapis-common-protos-1.54.0 grpcio-1.43.0 grpcio-status-1.43.0 idna-3.3 proto-plus-1.19.8 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.26.0 rsa-4.8 setuptools-60.2.0 six-1.16.0 urllib3-1.26.7
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Removing intermediate container 096a44a5529d
 ---> 9aaeb41147f8
Step 9/9 : CMD [ "python" ]
 ---> Running in bc2880e1179f
Removing intermediate container bc2880e1179f
 ---> 352e79b8f3fc
Successfully built 352e79b8f3fc
Successfully tagged cdk-a897c372d4cc6b1be2fdc3824b280bac4b62c39a303e2fcdba40932e7d4669b2:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/post-review/Code/Stage...
Sending build context to Docker daemon  3.584kB

Step 1/9 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/9 : FROM $IMAGE
 ---> 9b3028545446
Step 3/9 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/9 : RUN pip install --upgrade pip
 ---> Using cache
 ---> 32caef11f733
Step 5/9 : RUN pip install pipenv poetry
 ---> Using cache
 ---> da5533ddf1f9
Step 6/9 : WORKDIR /var/dependencies
 ---> Using cache
 ---> be5e8698d657
Step 7/9 : COPY Pipfile* pyproject* poetry* requirements.tx[t] ./
 ---> Using cache
 ---> e58cf7309ab8
Step 8/9 : RUN [ -f 'Pipfile' ] && pipenv lock -r >requirements.txt;     [ -f 'poetry.lock' ] && poetry export --with-credentials --format requirements.txt --output requirements.txt;     [ -f 'requirements.txt' ] && pip install -r requirements.txt -t .;
 ---> Using cache
 ---> 9aaeb41147f8
Step 9/9 : CMD [ "python" ]
 ---> Using cache
 ---> 352e79b8f3fc
Successfully built 352e79b8f3fc
Successfully tagged cdk-cf1299387dbe9094d64aaf0aa94dcf5ff5ec23d770ffd8a688a7f5069356da52:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/patch-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> fe02853743d2
Successfully built fe02853743d2
Successfully tagged cdk-51858a24070e365b395327031271b37b8c67d84ab215288fa3d253f14994f3d3:latest
Bundling asset business/rest-api-endpoint/course-reviews-api/crud-functions/delete-review/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> fe02853743d2
Successfully built fe02853743d2
Successfully tagged cdk-d516b13260f77b1b5fffe9fe5f385bfa73874d82d0216671595638f66df91825:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/get-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> fe02853743d2
Successfully built fe02853743d2
Successfully tagged cdk-60d898239cb32347da693fc9820333973fd77ebabef363372cd7a58267c93abe:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/post-timetable/Code/Stage...
Sending build context to Docker daemon  2.048kB

Step 1/4 : ARG IMAGE=public.ecr.aws/sam/build-python3.7
Step 2/4 : FROM $IMAGE
 ---> 9b3028545446
Step 3/4 : RUN yum -q list installed rsync &>/dev/null || yum install -y rsync
 ---> Using cache
 ---> fa2cdda0c11b
Step 4/4 : CMD [ "python" ]
 ---> Using cache
 ---> fe02853743d2
Successfully built fe02853743d2
Successfully tagged cdk-ddd0fd282c8c34c14b77024a52ea200b211c6b44fee7f42d360ef78b6ba40657:latest
Bundling asset business/rest-api-endpoint/timetable-api/crud-functions/patch-timetable/Code/Stage...
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
latest: Pulling from sam/build-nodejs14.x
1533ccbbac79: Already exists
b1474f040e45: Pulling fs layer
371454ab62e9: Pulling fs layer
f642075bffd9: Pulling fs layer
aa2600186ba7: Pulling fs layer
bda252cb9560: Pulling fs layer
7c34a5c08e6d: Pulling fs layer
9af049d0399b: Pulling fs layer
24c751aeb65d: Pulling fs layer
2a1b46bdcb40: Pulling fs layer
aa2600186ba7: Waiting
bda252cb9560: Waiting
7c34a5c08e6d: Waiting
9af049d0399b: Waiting
24c751aeb65d: Waiting
2a1b46bdcb40: Waiting
b1474f040e45: Verifying Checksum
b1474f040e45: Download complete
f642075bffd9: Verifying Checksum
f642075bffd9: Download complete
b1474f040e45: Pull complete
bda252cb9560: Verifying Checksum
bda252cb9560: Download complete
7c34a5c08e6d: Verifying Checksum
7c34a5c08e6d: Download complete
371454ab62e9: Verifying Checksum
371454ab62e9: Download complete
24c751aeb65d: Verifying Checksum
24c751aeb65d: Download complete
2a1b46bdcb40: Verifying Checksum
2a1b46bdcb40: Download complete
9af049d0399b: Verifying Checksum
9af049d0399b: Download complete
aa2600186ba7: Verifying Checksum
371454ab62e9: Pull complete
f642075bffd9: Pull complete
aa2600186ba7: Pull complete
bda252cb9560: Pull complete
7c34a5c08e6d: Pull complete
9af049d0399b: Pull complete
24c751aeb65d: Pull complete
2a1b46bdcb40: Pull complete
Digest: sha256:a7df7d5d52d672a26261d666e6301e66d7d01a3eea18ba50716a89f99493a057
Status: Downloaded newer image for public.ecr.aws/sam/build-nodejs14.x:latest
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Running in baeadc44552a
/var/lang/bin/yarn -> /var/lang/lib/node_modules/yarn/bin/yarn.js
/var/lang/bin/yarnpkg -> /var/lang/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.22.5
added 1 package in 0.346s
Removing intermediate container baeadc44552a
 ---> 947bbc0c831d
Step 4/12 : RUN npm install --global pnpm
 ---> Running in 6378b25c8af6
/var/lang/bin/pnpm -> /var/lang/lib/node_modules/pnpm/bin/pnpm.cjs
/var/lang/bin/pnpx -> /var/lang/lib/node_modules/pnpm/bin/pnpx.cjs
+ pnpm@6.24.4
added 1 package in 0.974s
Removing intermediate container 6378b25c8af6
 ---> 4f3eb2e08f03
Step 5/12 : RUN npm install --global typescript
 ---> Running in 3d0dcc5b160a
/var/lang/bin/tsc -> /var/lang/lib/node_modules/typescript/bin/tsc
/var/lang/bin/tsserver -> /var/lang/lib/node_modules/typescript/bin/tsserver
+ typescript@4.5.4
added 1 package from 1 contributor in 1.563s
Removing intermediate container 3d0dcc5b160a
 ---> 71cff16c5596
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Running in adb6fb9bb981
Removing intermediate container adb6fb9bb981
 ---> 5257156656f1
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Running in 04ecd053eaeb
/var/lang/bin/esbuild -> /var/lang/lib/node_modules/esbuild/bin/esbuild

> esbuild@0.14.9 postinstall /var/lang/lib/node_modules/esbuild
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.14.9 (node_modules/esbuild/node_modules/esbuild-android-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.14.9: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.14.9 (node_modules/esbuild/node_modules/esbuild-linux-arm):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.14.9: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.14.9 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.14.9: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.14.9 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.14.9: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.14.9 (node_modules/esbuild/node_modules/esbuild-darwin-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.14.9: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.14.9 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.14.9: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.14.9 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.14.9: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.14.9 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.14.9: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.14.9 (node_modules/esbuild/node_modules/esbuild-linux-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.14.9: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.14.9 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.14.9: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-netbsd-64@0.14.9 (node_modules/esbuild/node_modules/esbuild-netbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-netbsd-64@0.14.9: wanted {"os":"netbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-s390x@0.14.9 (node_modules/esbuild/node_modules/esbuild-linux-s390x):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-s390x@0.14.9: wanted {"os":"linux","arch":"s390x"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.14.9 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.14.9: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.14.9 (node_modules/esbuild/node_modules/esbuild-windows-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.14.9: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.14.9 (node_modules/esbuild/node_modules/esbuild-sunos-64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.14.9: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.14.9 (node_modules/esbuild/node_modules/esbuild-windows-32):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.14.9: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.14.9 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.14.9: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})

+ esbuild@0.14.9
added 2 packages in 2.591s
Removing intermediate container 04ecd053eaeb
 ---> f28d7cf75280
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Running in d30b9ea2e8c2
Removing intermediate container d30b9ea2e8c2
 ---> fb958893a3a0
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Running in 282cacc22a1c
yarn config v1.22.5
success Set "cache-folder" to "/tmp/yarn-cache".
Done in 0.03s.
Removing intermediate container 282cacc22a1c
 ---> f26f0e32e152
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Running in cf1bc86b4a9b
Removing intermediate container cf1bc86b4a9b
 ---> af0b298952d9
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Running in ef0db9ab18a2
Removing intermediate container ef0db9ab18a2
 ---> 66c2521cdcb5
Step 12/12 : CMD [ "esbuild" ]
 ---> Running in 608549b05632
Removing intermediate container 608549b05632
 ---> 30a8e23433af
Successfully built 30a8e23433af
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/build-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.9kb

⚡ Done in 4ms
Sending build context to Docker daemon  133.1kB

Step 1/12 : ARG IMAGE=public.ecr.aws/sam/build-nodejs14.x
Step 2/12 : FROM $IMAGE
 ---> 3147f2b9c981
Step 3/12 : RUN npm install --global yarn@1.22.5
 ---> Using cache
 ---> 947bbc0c831d
Step 4/12 : RUN npm install --global pnpm
 ---> Using cache
 ---> 4f3eb2e08f03
Step 5/12 : RUN npm install --global typescript
 ---> Using cache
 ---> 71cff16c5596
Step 6/12 : ARG ESBUILD_VERSION=0
 ---> Using cache
 ---> 5257156656f1
Step 7/12 : RUN npm install --global --unsafe-perm=true esbuild@$ESBUILD_VERSION
 ---> Using cache
 ---> f28d7cf75280
Step 8/12 : RUN mkdir /tmp/npm-cache &&     chmod -R 777 /tmp/npm-cache &&     npm config --global set cache /tmp/npm-cache
 ---> Using cache
 ---> fb958893a3a0
Step 9/12 : RUN mkdir /tmp/yarn-cache &&     chmod -R 777 /tmp/yarn-cache &&     yarn config set cache-folder /tmp/yarn-cache
 ---> Using cache
 ---> f26f0e32e152
Step 10/12 : RUN npm config --global set update-notifier false
 ---> Using cache
 ---> af0b298952d9
Step 11/12 : RUN /sbin/useradd -u 1000 user && chmod 711 /
 ---> Using cache
 ---> 66c2521cdcb5
Step 12/12 : CMD [ "esbuild" ]
 ---> Using cache
 ---> 30a8e23433af
Successfully built 30a8e23433af
Successfully tagged cdk-6d527ea52fab0fb59826cdda01988e9d1b89d830f98c30ba0b34a61688f25e09:latest
Bundling asset admin/scraper-notifier/subscriber-function/base-function/Code/Stage...
esbuild cannot run locally. Switching to Docker bundling.

  asset-output/index.js  1.6kb

⚡ Done in 2ms
Stack persistence
There were no differences
Stack wt-hosted-zone
There were no differences
Stack business
Resources
[-] AWS::ApiGateway::Deployment restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72 destroy
[-] AWS::ApiGateway::Deployment restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d destroy
[+] AWS::ApiGateway::Deployment rest-api-endpoint/prod-deployment restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d 
[+] AWS::ApiGateway::Deployment rest-api-endpoint/dev-deployment restapiendpointdevdeployment6E7C4E8Ae4ff84351d5b7fc0f88f91ea0e0b14a2 
[~] AWS::ApiGateway::Stage rest-api-endpoint/prod-stage restapiendpointprodstage29901B5F 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointproddeployment044939E197fcaafa21f2ef585bcfe3ca655c3f72
         └─ [+] restapiendpointproddeployment044939E122e564bfaf2e9a3a478030aea41db95d
[~] AWS::ApiGateway::Stage rest-api-endpoint/dev-stage restapiendpointdevstage0CDF6AEB 
 └─ [~] DeploymentId
     └─ [~] .Ref:
         ├─ [-] restapiendpointdevdeployment6E7C4E8A22e564bfaf2e9a3a478030aea41db95d
         └─ [+] restapiendpointdevdeployment6E7C4E8Ae4ff84351d5b7fc0f88f91ea0e0b14a2

Stack presentation
There were no differences
Stack admin
There were no differences
renovate[bot]

comment created time in 17 days

more